<?php

namespace EbaySdk;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'AddDisputeRequestType' => '\\EbaySdk\\StructType\\AddDisputeRequestType',
            'AddDisputeResponseType' => '\\EbaySdk\\StructType\\AddDisputeResponseType',
            'AddDisputeResponseRequestType' => '\\EbaySdk\\StructType\\AddDisputeResponseRequestType',
            'AddDisputeResponseResponseType' => '\\EbaySdk\\StructType\\AddDisputeResponseResponseType',
            'AddFixedPriceItemRequestType' => '\\EbaySdk\\StructType\\AddFixedPriceItemRequestType',
            'AddFixedPriceItemResponseType' => '\\EbaySdk\\StructType\\AddFixedPriceItemResponseType',
            'AddItemRequestType' => '\\EbaySdk\\StructType\\AddItemRequestType',
            'AddItemResponseType' => '\\EbaySdk\\StructType\\AddItemResponseType',
            'AddItemFromSellingManagerTemplateRequestType' => '\\EbaySdk\\StructType\\AddItemFromSellingManagerTemplateRequestType',
            'AddItemFromSellingManagerTemplateResponseType' => '\\EbaySdk\\StructType\\AddItemFromSellingManagerTemplateResponseType',
            'AddItemsRequestType' => '\\EbaySdk\\StructType\\AddItemsRequestType',
            'AddItemsResponseType' => '\\EbaySdk\\StructType\\AddItemsResponseType',
            'AddMemberMessageAAQToPartnerRequestType' => '\\EbaySdk\\StructType\\AddMemberMessageAAQToPartnerRequestType',
            'AddMemberMessageAAQToPartnerResponseType' => '\\EbaySdk\\StructType\\AddMemberMessageAAQToPartnerResponseType',
            'AddMemberMessageRTQRequestType' => '\\EbaySdk\\StructType\\AddMemberMessageRTQRequestType',
            'AddMemberMessageRTQResponseType' => '\\EbaySdk\\StructType\\AddMemberMessageRTQResponseType',
            'AddMemberMessagesAAQToBidderRequestType' => '\\EbaySdk\\StructType\\AddMemberMessagesAAQToBidderRequestType',
            'AddMemberMessagesAAQToBidderResponseType' => '\\EbaySdk\\StructType\\AddMemberMessagesAAQToBidderResponseType',
            'AddOrderRequestType' => '\\EbaySdk\\StructType\\AddOrderRequestType',
            'AddOrderResponseType' => '\\EbaySdk\\StructType\\AddOrderResponseType',
            'AddSecondChanceItemRequestType' => '\\EbaySdk\\StructType\\AddSecondChanceItemRequestType',
            'AddSecondChanceItemResponseType' => '\\EbaySdk\\StructType\\AddSecondChanceItemResponseType',
            'AddSellingManagerInventoryFolderRequestType' => '\\EbaySdk\\StructType\\AddSellingManagerInventoryFolderRequestType',
            'AddSellingManagerInventoryFolderResponseType' => '\\EbaySdk\\StructType\\AddSellingManagerInventoryFolderResponseType',
            'AddSellingManagerProductRequestType' => '\\EbaySdk\\StructType\\AddSellingManagerProductRequestType',
            'AddSellingManagerProductResponseType' => '\\EbaySdk\\StructType\\AddSellingManagerProductResponseType',
            'AddSellingManagerTemplateRequestType' => '\\EbaySdk\\StructType\\AddSellingManagerTemplateRequestType',
            'AddSellingManagerTemplateResponseType' => '\\EbaySdk\\StructType\\AddSellingManagerTemplateResponseType',
            'AddToItemDescriptionRequestType' => '\\EbaySdk\\StructType\\AddToItemDescriptionRequestType',
            'AddToItemDescriptionResponseType' => '\\EbaySdk\\StructType\\AddToItemDescriptionResponseType',
            'AddToWatchListRequestType' => '\\EbaySdk\\StructType\\AddToWatchListRequestType',
            'AddToWatchListResponseType' => '\\EbaySdk\\StructType\\AddToWatchListResponseType',
            'AddTransactionConfirmationItemRequestType' => '\\EbaySdk\\StructType\\AddTransactionConfirmationItemRequestType',
            'AddTransactionConfirmationItemResponseType' => '\\EbaySdk\\StructType\\AddTransactionConfirmationItemResponseType',
            'CompleteSaleRequestType' => '\\EbaySdk\\StructType\\CompleteSaleRequestType',
            'CompleteSaleResponseType' => '\\EbaySdk\\StructType\\CompleteSaleResponseType',
            'ConfirmIdentityRequestType' => '\\EbaySdk\\StructType\\ConfirmIdentityRequestType',
            'ConfirmIdentityResponseType' => '\\EbaySdk\\StructType\\ConfirmIdentityResponseType',
            'DeleteMyMessagesRequestType' => '\\EbaySdk\\StructType\\DeleteMyMessagesRequestType',
            'DeleteMyMessagesResponseType' => '\\EbaySdk\\StructType\\DeleteMyMessagesResponseType',
            'DeleteSellingManagerInventoryFolderRequestType' => '\\EbaySdk\\StructType\\DeleteSellingManagerInventoryFolderRequestType',
            'DeleteSellingManagerInventoryFolderResponseType' => '\\EbaySdk\\StructType\\DeleteSellingManagerInventoryFolderResponseType',
            'DeleteSellingManagerItemAutomationRuleRequestType' => '\\EbaySdk\\StructType\\DeleteSellingManagerItemAutomationRuleRequestType',
            'DeleteSellingManagerItemAutomationRuleResponseType' => '\\EbaySdk\\StructType\\DeleteSellingManagerItemAutomationRuleResponseType',
            'DeleteSellingManagerProductRequestType' => '\\EbaySdk\\StructType\\DeleteSellingManagerProductRequestType',
            'DeleteSellingManagerProductResponseType' => '\\EbaySdk\\StructType\\DeleteSellingManagerProductResponseType',
            'DeleteSellingManagerTemplateRequestType' => '\\EbaySdk\\StructType\\DeleteSellingManagerTemplateRequestType',
            'DeleteSellingManagerTemplateResponseType' => '\\EbaySdk\\StructType\\DeleteSellingManagerTemplateResponseType',
            'DeleteSellingManagerTemplateAutomationRuleRequestType' => '\\EbaySdk\\StructType\\DeleteSellingManagerTemplateAutomationRuleRequestType',
            'DeleteSellingManagerTemplateAutomationRuleResponseType' => '\\EbaySdk\\StructType\\DeleteSellingManagerTemplateAutomationRuleResponseType',
            'DisableUnpaidItemAssistanceRequestType' => '\\EbaySdk\\StructType\\DisableUnpaidItemAssistanceRequestType',
            'DisableUnpaidItemAssistanceResponseType' => '\\EbaySdk\\StructType\\DisableUnpaidItemAssistanceResponseType',
            'EndFixedPriceItemRequestType' => '\\EbaySdk\\StructType\\EndFixedPriceItemRequestType',
            'EndFixedPriceItemResponseType' => '\\EbaySdk\\StructType\\EndFixedPriceItemResponseType',
            'EndItemRequestType' => '\\EbaySdk\\StructType\\EndItemRequestType',
            'EndItemResponseType' => '\\EbaySdk\\StructType\\EndItemResponseType',
            'EndItemsRequestType' => '\\EbaySdk\\StructType\\EndItemsRequestType',
            'EndItemsResponseType' => '\\EbaySdk\\StructType\\EndItemsResponseType',
            'ExtendSiteHostedPicturesRequestType' => '\\EbaySdk\\StructType\\ExtendSiteHostedPicturesRequestType',
            'ExtendSiteHostedPicturesResponseType' => '\\EbaySdk\\StructType\\ExtendSiteHostedPicturesResponseType',
            'FetchTokenRequestType' => '\\EbaySdk\\StructType\\FetchTokenRequestType',
            'FetchTokenResponseType' => '\\EbaySdk\\StructType\\FetchTokenResponseType',
            'GetAccountRequestType' => '\\EbaySdk\\StructType\\GetAccountRequestType',
            'GetAccountResponseType' => '\\EbaySdk\\StructType\\GetAccountResponseType',
            'GetAdFormatLeadsRequestType' => '\\EbaySdk\\StructType\\GetAdFormatLeadsRequestType',
            'GetAdFormatLeadsResponseType' => '\\EbaySdk\\StructType\\GetAdFormatLeadsResponseType',
            'GetAllBiddersRequestType' => '\\EbaySdk\\StructType\\GetAllBiddersRequestType',
            'GetAllBiddersResponseType' => '\\EbaySdk\\StructType\\GetAllBiddersResponseType',
            'GetApiAccessRulesRequestType' => '\\EbaySdk\\StructType\\GetApiAccessRulesRequestType',
            'GetApiAccessRulesResponseType' => '\\EbaySdk\\StructType\\GetApiAccessRulesResponseType',
            'GetBestOffersRequestType' => '\\EbaySdk\\StructType\\GetBestOffersRequestType',
            'GetBestOffersResponseType' => '\\EbaySdk\\StructType\\GetBestOffersResponseType',
            'GetBidderListRequestType' => '\\EbaySdk\\StructType\\GetBidderListRequestType',
            'GetBidderListResponseType' => '\\EbaySdk\\StructType\\GetBidderListResponseType',
            'GetCategoriesRequestType' => '\\EbaySdk\\StructType\\GetCategoriesRequestType',
            'GetCategoriesResponseType' => '\\EbaySdk\\StructType\\GetCategoriesResponseType',
            'GetCategoryFeaturesRequestType' => '\\EbaySdk\\StructType\\GetCategoryFeaturesRequestType',
            'GetCategoryFeaturesResponseType' => '\\EbaySdk\\StructType\\GetCategoryFeaturesResponseType',
            'GetCategoryMappingsRequestType' => '\\EbaySdk\\StructType\\GetCategoryMappingsRequestType',
            'GetCategoryMappingsResponseType' => '\\EbaySdk\\StructType\\GetCategoryMappingsResponseType',
            'GetCategorySpecificsRequestType' => '\\EbaySdk\\StructType\\GetCategorySpecificsRequestType',
            'GetCategorySpecificsResponseType' => '\\EbaySdk\\StructType\\GetCategorySpecificsResponseType',
            'GetChallengeTokenRequestType' => '\\EbaySdk\\StructType\\GetChallengeTokenRequestType',
            'GetChallengeTokenResponseType' => '\\EbaySdk\\StructType\\GetChallengeTokenResponseType',
            'GetCharitiesRequestType' => '\\EbaySdk\\StructType\\GetCharitiesRequestType',
            'GetCharitiesResponseType' => '\\EbaySdk\\StructType\\GetCharitiesResponseType',
            'GetClientAlertsAuthTokenRequestType' => '\\EbaySdk\\StructType\\GetClientAlertsAuthTokenRequestType',
            'GetClientAlertsAuthTokenResponseType' => '\\EbaySdk\\StructType\\GetClientAlertsAuthTokenResponseType',
            'GetContextualKeywordsRequestType' => '\\EbaySdk\\StructType\\GetContextualKeywordsRequestType',
            'GetContextualKeywordsResponseType' => '\\EbaySdk\\StructType\\GetContextualKeywordsResponseType',
            'GetDescriptionTemplatesRequestType' => '\\EbaySdk\\StructType\\GetDescriptionTemplatesRequestType',
            'GetDescriptionTemplatesResponseType' => '\\EbaySdk\\StructType\\GetDescriptionTemplatesResponseType',
            'GetDisputeRequestType' => '\\EbaySdk\\StructType\\GetDisputeRequestType',
            'GetDisputeResponseType' => '\\EbaySdk\\StructType\\GetDisputeResponseType',
            'GetFeedbackRequestType' => '\\EbaySdk\\StructType\\GetFeedbackRequestType',
            'GetFeedbackResponseType' => '\\EbaySdk\\StructType\\GetFeedbackResponseType',
            'GetItemRequestType' => '\\EbaySdk\\StructType\\GetItemRequestType',
            'GetItemResponseType' => '\\EbaySdk\\StructType\\GetItemResponseType',
            'GetItemShippingRequestType' => '\\EbaySdk\\StructType\\GetItemShippingRequestType',
            'GetItemShippingResponseType' => '\\EbaySdk\\StructType\\GetItemShippingResponseType',
            'GetItemTransactionsRequestType' => '\\EbaySdk\\StructType\\GetItemTransactionsRequestType',
            'GetItemTransactionsResponseType' => '\\EbaySdk\\StructType\\GetItemTransactionsResponseType',
            'GetItemsAwaitingFeedbackRequestType' => '\\EbaySdk\\StructType\\GetItemsAwaitingFeedbackRequestType',
            'GetItemsAwaitingFeedbackResponseType' => '\\EbaySdk\\StructType\\GetItemsAwaitingFeedbackResponseType',
            'GetMemberMessagesRequestType' => '\\EbaySdk\\StructType\\GetMemberMessagesRequestType',
            'GetMemberMessagesResponseType' => '\\EbaySdk\\StructType\\GetMemberMessagesResponseType',
            'GetMessagePreferencesRequestType' => '\\EbaySdk\\StructType\\GetMessagePreferencesRequestType',
            'GetMessagePreferencesResponseType' => '\\EbaySdk\\StructType\\GetMessagePreferencesResponseType',
            'GetMyMessagesRequestType' => '\\EbaySdk\\StructType\\GetMyMessagesRequestType',
            'GetMyMessagesResponseType' => '\\EbaySdk\\StructType\\GetMyMessagesResponseType',
            'GetMyeBayBuyingRequestType' => '\\EbaySdk\\StructType\\GetMyeBayBuyingRequestType',
            'GetMyeBayBuyingResponseType' => '\\EbaySdk\\StructType\\GetMyeBayBuyingResponseType',
            'GetMyeBayRemindersRequestType' => '\\EbaySdk\\StructType\\GetMyeBayRemindersRequestType',
            'GetMyeBayRemindersResponseType' => '\\EbaySdk\\StructType\\GetMyeBayRemindersResponseType',
            'GetMyeBaySellingRequestType' => '\\EbaySdk\\StructType\\GetMyeBaySellingRequestType',
            'GetMyeBaySellingResponseType' => '\\EbaySdk\\StructType\\GetMyeBaySellingResponseType',
            'GetNotificationPreferencesRequestType' => '\\EbaySdk\\StructType\\GetNotificationPreferencesRequestType',
            'GetNotificationPreferencesResponseType' => '\\EbaySdk\\StructType\\GetNotificationPreferencesResponseType',
            'GetNotificationsUsageRequestType' => '\\EbaySdk\\StructType\\GetNotificationsUsageRequestType',
            'GetNotificationsUsageResponseType' => '\\EbaySdk\\StructType\\GetNotificationsUsageResponseType',
            'GetOrderTransactionsRequestType' => '\\EbaySdk\\StructType\\GetOrderTransactionsRequestType',
            'GetOrderTransactionsResponseType' => '\\EbaySdk\\StructType\\GetOrderTransactionsResponseType',
            'GetOrdersRequestType' => '\\EbaySdk\\StructType\\GetOrdersRequestType',
            'GetOrdersResponseType' => '\\EbaySdk\\StructType\\GetOrdersResponseType',
            'GetPromotionalSaleDetailsRequestType' => '\\EbaySdk\\StructType\\GetPromotionalSaleDetailsRequestType',
            'GetPromotionalSaleDetailsResponseType' => '\\EbaySdk\\StructType\\GetPromotionalSaleDetailsResponseType',
            'GetSellerDashboardRequestType' => '\\EbaySdk\\StructType\\GetSellerDashboardRequestType',
            'GetSellerDashboardResponseType' => '\\EbaySdk\\StructType\\GetSellerDashboardResponseType',
            'GetSellerEventsRequestType' => '\\EbaySdk\\StructType\\GetSellerEventsRequestType',
            'GetSellerEventsResponseType' => '\\EbaySdk\\StructType\\GetSellerEventsResponseType',
            'GetSellerListRequestType' => '\\EbaySdk\\StructType\\GetSellerListRequestType',
            'GetSellerListResponseType' => '\\EbaySdk\\StructType\\GetSellerListResponseType',
            'GetSellerTransactionsRequestType' => '\\EbaySdk\\StructType\\GetSellerTransactionsRequestType',
            'GetSellerTransactionsResponseType' => '\\EbaySdk\\StructType\\GetSellerTransactionsResponseType',
            'GetSellingManagerAlertsRequestType' => '\\EbaySdk\\StructType\\GetSellingManagerAlertsRequestType',
            'GetSellingManagerAlertsResponseType' => '\\EbaySdk\\StructType\\GetSellingManagerAlertsResponseType',
            'GetSellingManagerEmailLogRequestType' => '\\EbaySdk\\StructType\\GetSellingManagerEmailLogRequestType',
            'GetSellingManagerEmailLogResponseType' => '\\EbaySdk\\StructType\\GetSellingManagerEmailLogResponseType',
            'GetSellingManagerInventoryRequestType' => '\\EbaySdk\\StructType\\GetSellingManagerInventoryRequestType',
            'GetSellingManagerInventoryResponseType' => '\\EbaySdk\\StructType\\GetSellingManagerInventoryResponseType',
            'GetSellingManagerInventoryFolderRequestType' => '\\EbaySdk\\StructType\\GetSellingManagerInventoryFolderRequestType',
            'GetSellingManagerInventoryFolderResponseType' => '\\EbaySdk\\StructType\\GetSellingManagerInventoryFolderResponseType',
            'GetSellingManagerItemAutomationRuleRequestType' => '\\EbaySdk\\StructType\\GetSellingManagerItemAutomationRuleRequestType',
            'GetSellingManagerItemAutomationRuleResponseType' => '\\EbaySdk\\StructType\\GetSellingManagerItemAutomationRuleResponseType',
            'GetSellingManagerSaleRecordRequestType' => '\\EbaySdk\\StructType\\GetSellingManagerSaleRecordRequestType',
            'GetSellingManagerSaleRecordResponseType' => '\\EbaySdk\\StructType\\GetSellingManagerSaleRecordResponseType',
            'GetSellingManagerSoldListingsRequestType' => '\\EbaySdk\\StructType\\GetSellingManagerSoldListingsRequestType',
            'GetSellingManagerSoldListingsResponseType' => '\\EbaySdk\\StructType\\GetSellingManagerSoldListingsResponseType',
            'GetSellingManagerTemplateAutomationRuleRequestType' => '\\EbaySdk\\StructType\\GetSellingManagerTemplateAutomationRuleRequestType',
            'GetSellingManagerTemplateAutomationRuleResponseType' => '\\EbaySdk\\StructType\\GetSellingManagerTemplateAutomationRuleResponseType',
            'GetSellingManagerTemplatesRequestType' => '\\EbaySdk\\StructType\\GetSellingManagerTemplatesRequestType',
            'GetSellingManagerTemplatesResponseType' => '\\EbaySdk\\StructType\\GetSellingManagerTemplatesResponseType',
            'GetSessionIDRequestType' => '\\EbaySdk\\StructType\\GetSessionIDRequestType',
            'GetSessionIDResponseType' => '\\EbaySdk\\StructType\\GetSessionIDResponseType',
            'GetShippingDiscountProfilesRequestType' => '\\EbaySdk\\StructType\\GetShippingDiscountProfilesRequestType',
            'GetShippingDiscountProfilesResponseType' => '\\EbaySdk\\StructType\\GetShippingDiscountProfilesResponseType',
            'GetStoreRequestType' => '\\EbaySdk\\StructType\\GetStoreRequestType',
            'GetStoreResponseType' => '\\EbaySdk\\StructType\\GetStoreResponseType',
            'GetStoreCategoryUpdateStatusRequestType' => '\\EbaySdk\\StructType\\GetStoreCategoryUpdateStatusRequestType',
            'GetStoreCategoryUpdateStatusResponseType' => '\\EbaySdk\\StructType\\GetStoreCategoryUpdateStatusResponseType',
            'GetStoreCustomPageRequestType' => '\\EbaySdk\\StructType\\GetStoreCustomPageRequestType',
            'GetStoreCustomPageResponseType' => '\\EbaySdk\\StructType\\GetStoreCustomPageResponseType',
            'GetStoreOptionsRequestType' => '\\EbaySdk\\StructType\\GetStoreOptionsRequestType',
            'GetStoreOptionsResponseType' => '\\EbaySdk\\StructType\\GetStoreOptionsResponseType',
            'GetStorePreferencesRequestType' => '\\EbaySdk\\StructType\\GetStorePreferencesRequestType',
            'GetStorePreferencesResponseType' => '\\EbaySdk\\StructType\\GetStorePreferencesResponseType',
            'GetSuggestedCategoriesRequestType' => '\\EbaySdk\\StructType\\GetSuggestedCategoriesRequestType',
            'GetSuggestedCategoriesResponseType' => '\\EbaySdk\\StructType\\GetSuggestedCategoriesResponseType',
            'GetTaxTableRequestType' => '\\EbaySdk\\StructType\\GetTaxTableRequestType',
            'GetTaxTableResponseType' => '\\EbaySdk\\StructType\\GetTaxTableResponseType',
            'GetTokenStatusRequestType' => '\\EbaySdk\\StructType\\GetTokenStatusRequestType',
            'GetTokenStatusResponseType' => '\\EbaySdk\\StructType\\GetTokenStatusResponseType',
            'GetUserRequestType' => '\\EbaySdk\\StructType\\GetUserRequestType',
            'GetUserResponseType' => '\\EbaySdk\\StructType\\GetUserResponseType',
            'GetUserContactDetailsRequestType' => '\\EbaySdk\\StructType\\GetUserContactDetailsRequestType',
            'GetUserContactDetailsResponseType' => '\\EbaySdk\\StructType\\GetUserContactDetailsResponseType',
            'GetUserDisputesRequestType' => '\\EbaySdk\\StructType\\GetUserDisputesRequestType',
            'GetUserDisputesResponseType' => '\\EbaySdk\\StructType\\GetUserDisputesResponseType',
            'GetUserPreferencesRequestType' => '\\EbaySdk\\StructType\\GetUserPreferencesRequestType',
            'GetUserPreferencesResponseType' => '\\EbaySdk\\StructType\\GetUserPreferencesResponseType',
            'GetVeROReasonCodeDetailsRequestType' => '\\EbaySdk\\StructType\\GetVeROReasonCodeDetailsRequestType',
            'GetVeROReasonCodeDetailsResponseType' => '\\EbaySdk\\StructType\\GetVeROReasonCodeDetailsResponseType',
            'GetVeROReportStatusRequestType' => '\\EbaySdk\\StructType\\GetVeROReportStatusRequestType',
            'GetVeROReportStatusResponseType' => '\\EbaySdk\\StructType\\GetVeROReportStatusResponseType',
            'GeteBayDetailsRequestType' => '\\EbaySdk\\StructType\\GeteBayDetailsRequestType',
            'GeteBayDetailsResponseType' => '\\EbaySdk\\StructType\\GeteBayDetailsResponseType',
            'GeteBayOfficialTimeRequestType' => '\\EbaySdk\\StructType\\GeteBayOfficialTimeRequestType',
            'GeteBayOfficialTimeResponseType' => '\\EbaySdk\\StructType\\GeteBayOfficialTimeResponseType',
            'LeaveFeedbackRequestType' => '\\EbaySdk\\StructType\\LeaveFeedbackRequestType',
            'LeaveFeedbackResponseType' => '\\EbaySdk\\StructType\\LeaveFeedbackResponseType',
            'MoveSellingManagerInventoryFolderRequestType' => '\\EbaySdk\\StructType\\MoveSellingManagerInventoryFolderRequestType',
            'MoveSellingManagerInventoryFolderResponseType' => '\\EbaySdk\\StructType\\MoveSellingManagerInventoryFolderResponseType',
            'PlaceOfferRequestType' => '\\EbaySdk\\StructType\\PlaceOfferRequestType',
            'PlaceOfferResponseType' => '\\EbaySdk\\StructType\\PlaceOfferResponseType',
            'RelistFixedPriceItemRequestType' => '\\EbaySdk\\StructType\\RelistFixedPriceItemRequestType',
            'RelistFixedPriceItemResponseType' => '\\EbaySdk\\StructType\\RelistFixedPriceItemResponseType',
            'RelistItemRequestType' => '\\EbaySdk\\StructType\\RelistItemRequestType',
            'RelistItemResponseType' => '\\EbaySdk\\StructType\\RelistItemResponseType',
            'RemoveFromWatchListRequestType' => '\\EbaySdk\\StructType\\RemoveFromWatchListRequestType',
            'RemoveFromWatchListResponseType' => '\\EbaySdk\\StructType\\RemoveFromWatchListResponseType',
            'RespondToBestOfferRequestType' => '\\EbaySdk\\StructType\\RespondToBestOfferRequestType',
            'RespondToBestOfferResponseType' => '\\EbaySdk\\StructType\\RespondToBestOfferResponseType',
            'RespondToFeedbackRequestType' => '\\EbaySdk\\StructType\\RespondToFeedbackRequestType',
            'RespondToFeedbackResponseType' => '\\EbaySdk\\StructType\\RespondToFeedbackResponseType',
            'ReviseCheckoutStatusRequestType' => '\\EbaySdk\\StructType\\ReviseCheckoutStatusRequestType',
            'ReviseCheckoutStatusResponseType' => '\\EbaySdk\\StructType\\ReviseCheckoutStatusResponseType',
            'ReviseFixedPriceItemRequestType' => '\\EbaySdk\\StructType\\ReviseFixedPriceItemRequestType',
            'ReviseFixedPriceItemResponseType' => '\\EbaySdk\\StructType\\ReviseFixedPriceItemResponseType',
            'ReviseInventoryStatusRequestType' => '\\EbaySdk\\StructType\\ReviseInventoryStatusRequestType',
            'ReviseInventoryStatusResponseType' => '\\EbaySdk\\StructType\\ReviseInventoryStatusResponseType',
            'ReviseItemRequestType' => '\\EbaySdk\\StructType\\ReviseItemRequestType',
            'ReviseItemResponseType' => '\\EbaySdk\\StructType\\ReviseItemResponseType',
            'ReviseMyMessagesRequestType' => '\\EbaySdk\\StructType\\ReviseMyMessagesRequestType',
            'ReviseMyMessagesResponseType' => '\\EbaySdk\\StructType\\ReviseMyMessagesResponseType',
            'ReviseMyMessagesFoldersRequestType' => '\\EbaySdk\\StructType\\ReviseMyMessagesFoldersRequestType',
            'ReviseMyMessagesFoldersResponseType' => '\\EbaySdk\\StructType\\ReviseMyMessagesFoldersResponseType',
            'ReviseSellingManagerInventoryFolderRequestType' => '\\EbaySdk\\StructType\\ReviseSellingManagerInventoryFolderRequestType',
            'ReviseSellingManagerInventoryFolderResponseType' => '\\EbaySdk\\StructType\\ReviseSellingManagerInventoryFolderResponseType',
            'ReviseSellingManagerProductRequestType' => '\\EbaySdk\\StructType\\ReviseSellingManagerProductRequestType',
            'ReviseSellingManagerProductResponseType' => '\\EbaySdk\\StructType\\ReviseSellingManagerProductResponseType',
            'ReviseSellingManagerSaleRecordRequestType' => '\\EbaySdk\\StructType\\ReviseSellingManagerSaleRecordRequestType',
            'ReviseSellingManagerSaleRecordResponseType' => '\\EbaySdk\\StructType\\ReviseSellingManagerSaleRecordResponseType',
            'ReviseSellingManagerTemplateRequestType' => '\\EbaySdk\\StructType\\ReviseSellingManagerTemplateRequestType',
            'ReviseSellingManagerTemplateResponseType' => '\\EbaySdk\\StructType\\ReviseSellingManagerTemplateResponseType',
            'RevokeTokenRequestType' => '\\EbaySdk\\StructType\\RevokeTokenRequestType',
            'RevokeTokenResponseType' => '\\EbaySdk\\StructType\\RevokeTokenResponseType',
            'SaveItemToSellingManagerTemplateRequestType' => '\\EbaySdk\\StructType\\SaveItemToSellingManagerTemplateRequestType',
            'SaveItemToSellingManagerTemplateResponseType' => '\\EbaySdk\\StructType\\SaveItemToSellingManagerTemplateResponseType',
            'SellerReverseDisputeRequestType' => '\\EbaySdk\\StructType\\SellerReverseDisputeRequestType',
            'SellerReverseDisputeResponseType' => '\\EbaySdk\\StructType\\SellerReverseDisputeResponseType',
            'SendInvoiceRequestType' => '\\EbaySdk\\StructType\\SendInvoiceRequestType',
            'SendInvoiceResponseType' => '\\EbaySdk\\StructType\\SendInvoiceResponseType',
            'SetMessagePreferencesRequestType' => '\\EbaySdk\\StructType\\SetMessagePreferencesRequestType',
            'SetMessagePreferencesResponseType' => '\\EbaySdk\\StructType\\SetMessagePreferencesResponseType',
            'SetNotificationPreferencesRequestType' => '\\EbaySdk\\StructType\\SetNotificationPreferencesRequestType',
            'SetNotificationPreferencesResponseType' => '\\EbaySdk\\StructType\\SetNotificationPreferencesResponseType',
            'SetPromotionalSaleRequestType' => '\\EbaySdk\\StructType\\SetPromotionalSaleRequestType',
            'SetPromotionalSaleResponseType' => '\\EbaySdk\\StructType\\SetPromotionalSaleResponseType',
            'SetPromotionalSaleListingsRequestType' => '\\EbaySdk\\StructType\\SetPromotionalSaleListingsRequestType',
            'SetPromotionalSaleListingsResponseType' => '\\EbaySdk\\StructType\\SetPromotionalSaleListingsResponseType',
            'SetSellingManagerFeedbackOptionsRequestType' => '\\EbaySdk\\StructType\\SetSellingManagerFeedbackOptionsRequestType',
            'SetSellingManagerFeedbackOptionsResponseType' => '\\EbaySdk\\StructType\\SetSellingManagerFeedbackOptionsResponseType',
            'SetSellingManagerItemAutomationRuleRequestType' => '\\EbaySdk\\StructType\\SetSellingManagerItemAutomationRuleRequestType',
            'SetSellingManagerItemAutomationRuleResponseType' => '\\EbaySdk\\StructType\\SetSellingManagerItemAutomationRuleResponseType',
            'SetSellingManagerTemplateAutomationRuleRequestType' => '\\EbaySdk\\StructType\\SetSellingManagerTemplateAutomationRuleRequestType',
            'SetSellingManagerTemplateAutomationRuleResponseType' => '\\EbaySdk\\StructType\\SetSellingManagerTemplateAutomationRuleResponseType',
            'SetShippingDiscountProfilesRequestType' => '\\EbaySdk\\StructType\\SetShippingDiscountProfilesRequestType',
            'SetShippingDiscountProfilesResponseType' => '\\EbaySdk\\StructType\\SetShippingDiscountProfilesResponseType',
            'SetStoreRequestType' => '\\EbaySdk\\StructType\\SetStoreRequestType',
            'SetStoreResponseType' => '\\EbaySdk\\StructType\\SetStoreResponseType',
            'SetStoreCategoriesRequestType' => '\\EbaySdk\\StructType\\SetStoreCategoriesRequestType',
            'SetStoreCategoriesResponseType' => '\\EbaySdk\\StructType\\SetStoreCategoriesResponseType',
            'SetStoreCustomPageRequestType' => '\\EbaySdk\\StructType\\SetStoreCustomPageRequestType',
            'SetStoreCustomPageResponseType' => '\\EbaySdk\\StructType\\SetStoreCustomPageResponseType',
            'SetStorePreferencesRequestType' => '\\EbaySdk\\StructType\\SetStorePreferencesRequestType',
            'SetStorePreferencesResponseType' => '\\EbaySdk\\StructType\\SetStorePreferencesResponseType',
            'SetTaxTableRequestType' => '\\EbaySdk\\StructType\\SetTaxTableRequestType',
            'SetTaxTableResponseType' => '\\EbaySdk\\StructType\\SetTaxTableResponseType',
            'SetUserNotesRequestType' => '\\EbaySdk\\StructType\\SetUserNotesRequestType',
            'SetUserNotesResponseType' => '\\EbaySdk\\StructType\\SetUserNotesResponseType',
            'SetUserPreferencesRequestType' => '\\EbaySdk\\StructType\\SetUserPreferencesRequestType',
            'SetUserPreferencesResponseType' => '\\EbaySdk\\StructType\\SetUserPreferencesResponseType',
            'UploadSiteHostedPicturesRequestType' => '\\EbaySdk\\StructType\\UploadSiteHostedPicturesRequestType',
            'UploadSiteHostedPicturesResponseType' => '\\EbaySdk\\StructType\\UploadSiteHostedPicturesResponseType',
            'ValidateChallengeInputRequestType' => '\\EbaySdk\\StructType\\ValidateChallengeInputRequestType',
            'ValidateChallengeInputResponseType' => '\\EbaySdk\\StructType\\ValidateChallengeInputResponseType',
            'ValidateTestUserRegistrationRequestType' => '\\EbaySdk\\StructType\\ValidateTestUserRegistrationRequestType',
            'ValidateTestUserRegistrationResponseType' => '\\EbaySdk\\StructType\\ValidateTestUserRegistrationResponseType',
            'VeROReportItemsRequestType' => '\\EbaySdk\\StructType\\VeROReportItemsRequestType',
            'VeROReportItemsResponseType' => '\\EbaySdk\\StructType\\VeROReportItemsResponseType',
            'VerifyAddFixedPriceItemRequestType' => '\\EbaySdk\\StructType\\VerifyAddFixedPriceItemRequestType',
            'VerifyAddFixedPriceItemResponseType' => '\\EbaySdk\\StructType\\VerifyAddFixedPriceItemResponseType',
            'VerifyAddItemRequestType' => '\\EbaySdk\\StructType\\VerifyAddItemRequestType',
            'VerifyAddItemResponseType' => '\\EbaySdk\\StructType\\VerifyAddItemResponseType',
            'VerifyAddSecondChanceItemRequestType' => '\\EbaySdk\\StructType\\VerifyAddSecondChanceItemRequestType',
            'VerifyAddSecondChanceItemResponseType' => '\\EbaySdk\\StructType\\VerifyAddSecondChanceItemResponseType',
            'VerifyRelistItemRequestType' => '\\EbaySdk\\StructType\\VerifyRelistItemRequestType',
            'VerifyRelistItemResponseType' => '\\EbaySdk\\StructType\\VerifyRelistItemResponseType',
            'AbstractRequestType' => '\\EbaySdk\\StructType\\AbstractRequestType',
            'AbstractResponseType' => '\\EbaySdk\\StructType\\AbstractResponseType',
            'BotBlockRequestType' => '\\EbaySdk\\StructType\\BotBlockRequestType',
            'BotBlockResponseType' => '\\EbaySdk\\StructType\\BotBlockResponseType',
            'CustomSecurityHeaderType' => '\\EbaySdk\\StructType\\CustomSecurityHeaderType',
            'DisputeFilterCountType' => '\\EbaySdk\\StructType\\DisputeFilterCountType',
            'DisputeMessageType' => '\\EbaySdk\\StructType\\DisputeMessageType',
            'DisputeResolutionType' => '\\EbaySdk\\StructType\\DisputeResolutionType',
            'DuplicateInvocationDetailsType' => '\\EbaySdk\\StructType\\DuplicateInvocationDetailsType',
            'ErrorParameterType' => '\\EbaySdk\\StructType\\ErrorParameterType',
            'ErrorType' => '\\EbaySdk\\StructType\\ErrorType',
            'FaultDetailsType' => '\\EbaySdk\\StructType\\FaultDetailsType',
            'MeasureType' => '\\EbaySdk\\StructType\\MeasureType',
            'PaginationType' => '\\EbaySdk\\StructType\\PaginationType',
            'QuantityType' => '\\EbaySdk\\StructType\\QuantityType',
            'UserIdPasswordType' => '\\EbaySdk\\StructType\\UserIdPasswordType',
            'XMLRequesterCredentialsType' => '\\EbaySdk\\StructType\\XMLRequesterCredentialsType',
            'ASQPreferencesType' => '\\EbaySdk\\StructType\\ASQPreferencesType',
            'AccountEntriesType' => '\\EbaySdk\\StructType\\AccountEntriesType',
            'AccountEntryType' => '\\EbaySdk\\StructType\\AccountEntryType',
            'AccountSummaryType' => '\\EbaySdk\\StructType\\AccountSummaryType',
            'AdFormatEnabledDefinitionType' => '\\EbaySdk\\StructType\\AdFormatEnabledDefinitionType',
            'AdFormatLeadType' => '\\EbaySdk\\StructType\\AdFormatLeadType',
            'AddItemRequestContainerType' => '\\EbaySdk\\StructType\\AddItemRequestContainerType',
            'AddItemResponseContainerType' => '\\EbaySdk\\StructType\\AddItemResponseContainerType',
            'AddMemberMessagesAAQToBidderRequestContainerType' => '\\EbaySdk\\StructType\\AddMemberMessagesAAQToBidderRequestContainerType',
            'AddMemberMessagesAAQToBidderResponseContainerType' => '\\EbaySdk\\StructType\\AddMemberMessagesAAQToBidderResponseContainerType',
            'AdditionalAccountType' => '\\EbaySdk\\StructType\\AdditionalAccountType',
            'AdditionalCompatibilityEnabledDefinitionType' => '\\EbaySdk\\StructType\\AdditionalCompatibilityEnabledDefinitionType',
            'AddressAttributeType' => '\\EbaySdk\\StructType\\AddressAttributeType',
            'AddressType' => '\\EbaySdk\\StructType\\AddressType',
            'AffiliateTrackingDetailsType' => '\\EbaySdk\\StructType\\AffiliateTrackingDetailsType',
            'AmountType' => '\\EbaySdk\\StructType\\AmountType',
            'AnnouncementMessageType' => '\\EbaySdk\\StructType\\AnnouncementMessageType',
            'ApiAccessRuleType' => '\\EbaySdk\\StructType\\ApiAccessRuleType',
            'ApplicationDeliveryPreferencesType' => '\\EbaySdk\\StructType\\ApplicationDeliveryPreferencesType',
            'AttributeArrayType' => '\\EbaySdk\\ArrayType\\AttributeArrayType',
            'AttributeConversionEnabledFeatureDefinitionType' => '\\EbaySdk\\StructType\\AttributeConversionEnabledFeatureDefinitionType',
            'AttributeRecommendationsType' => '\\EbaySdk\\StructType\\AttributeRecommendationsType',
            'AttributeSetArrayType' => '\\EbaySdk\\ArrayType\\AttributeSetArrayType',
            'AttributeSetType' => '\\EbaySdk\\StructType\\AttributeSetType',
            'AttributeType' => '\\EbaySdk\\StructType\\AttributeType',
            'AverageRatingDetailArrayType' => '\\EbaySdk\\ArrayType\\AverageRatingDetailArrayType',
            'AverageRatingDetailsType' => '\\EbaySdk\\StructType\\AverageRatingDetailsType',
            'AverageRatingSummaryType' => '\\EbaySdk\\StructType\\AverageRatingSummaryType',
            'Base64BinaryType' => '\\EbaySdk\\StructType\\Base64BinaryType',
            'BasicAmountType' => '\\EbaySdk\\StructType\\BasicAmountType',
            'BasicUpgradePackEnabledDefinitionType' => '\\EbaySdk\\StructType\\BasicUpgradePackEnabledDefinitionType',
            'BestOfferArrayType' => '\\EbaySdk\\ArrayType\\BestOfferArrayType',
            'BestOfferAutoAcceptEnabledDefinitionType' => '\\EbaySdk\\StructType\\BestOfferAutoAcceptEnabledDefinitionType',
            'BestOfferAutoDeclineEnabledDefinitionType' => '\\EbaySdk\\StructType\\BestOfferAutoDeclineEnabledDefinitionType',
            'BestOfferCounterEnabledDefinitionType' => '\\EbaySdk\\StructType\\BestOfferCounterEnabledDefinitionType',
            'BestOfferDetailsType' => '\\EbaySdk\\StructType\\BestOfferDetailsType',
            'BestOfferEnabledDefinitionType' => '\\EbaySdk\\StructType\\BestOfferEnabledDefinitionType',
            'BestOfferType' => '\\EbaySdk\\StructType\\BestOfferType',
            'BidApprovalArrayType' => '\\EbaySdk\\ArrayType\\BidApprovalArrayType',
            'BidApprovalType' => '\\EbaySdk\\StructType\\BidApprovalType',
            'BidAssistantListType' => '\\EbaySdk\\StructType\\BidAssistantListType',
            'BidGroupArrayType' => '\\EbaySdk\\ArrayType\\BidGroupArrayType',
            'BidGroupItemType' => '\\EbaySdk\\StructType\\BidGroupItemType',
            'BidGroupType' => '\\EbaySdk\\StructType\\BidGroupType',
            'BidderDetailArrayType' => '\\EbaySdk\\ArrayType\\BidderDetailArrayType',
            'BidderDetailType' => '\\EbaySdk\\StructType\\BidderDetailType',
            'BidderNoticePreferencesType' => '\\EbaySdk\\StructType\\BidderNoticePreferencesType',
            'BiddingDetailsType' => '\\EbaySdk\\StructType\\BiddingDetailsType',
            'BiddingSummaryType' => '\\EbaySdk\\StructType\\BiddingSummaryType',
            'BrandMPNIdentifierEnabledDefinitionType' => '\\EbaySdk\\StructType\\BrandMPNIdentifierEnabledDefinitionType',
            'BrandMPNType' => '\\EbaySdk\\StructType\\BrandMPNType',
            'BusinessSellerDetailsType' => '\\EbaySdk\\StructType\\BusinessSellerDetailsType',
            'BuyerGuaranteeEnabledDefinitionType' => '\\EbaySdk\\StructType\\BuyerGuaranteeEnabledDefinitionType',
            'BuyerPackageEnclosureType' => '\\EbaySdk\\StructType\\BuyerPackageEnclosureType',
            'BuyerPackageEnclosuresType' => '\\EbaySdk\\StructType\\BuyerPackageEnclosuresType',
            'BuyerProtectionDetailsType' => '\\EbaySdk\\StructType\\BuyerProtectionDetailsType',
            'BuyerRequirementDetailsType' => '\\EbaySdk\\StructType\\BuyerRequirementDetailsType',
            'BuyerRoleMetricsType' => '\\EbaySdk\\StructType\\BuyerRoleMetricsType',
            'BuyerSatisfactionDashboardType' => '\\EbaySdk\\StructType\\BuyerSatisfactionDashboardType',
            'BuyerType' => '\\EbaySdk\\StructType\\BuyerType',
            'BuyingGuideDetailsType' => '\\EbaySdk\\StructType\\BuyingGuideDetailsType',
            'BuyingGuideType' => '\\EbaySdk\\StructType\\BuyingGuideType',
            'BuyingSummaryType' => '\\EbaySdk\\StructType\\BuyingSummaryType',
            'CalculatedHandlingDiscountType' => '\\EbaySdk\\StructType\\CalculatedHandlingDiscountType',
            'CalculatedShippingDiscountType' => '\\EbaySdk\\StructType\\CalculatedShippingDiscountType',
            'CalculatedShippingPreferencesType' => '\\EbaySdk\\StructType\\CalculatedShippingPreferencesType',
            'CalculatedShippingRateType' => '\\EbaySdk\\StructType\\CalculatedShippingRateType',
            'CancelDetailType' => '\\EbaySdk\\StructType\\CancelDetailType',
            'CancelOfferArrayType' => '\\EbaySdk\\StructType\\CancelOfferArrayType',
            'CancelOfferType' => '\\EbaySdk\\StructType\\CancelOfferType',
            'CartItemType' => '\\EbaySdk\\StructType\\CartItemType',
            'CatalogProductType' => '\\EbaySdk\\StructType\\CatalogProductType',
            'CategoryArrayType' => '\\EbaySdk\\ArrayType\\CategoryArrayType',
            'CategoryFeatureType' => '\\EbaySdk\\StructType\\CategoryFeatureType',
            'CategoryGroupType' => '\\EbaySdk\\StructType\\CategoryGroupType',
            'CategoryItemSpecificsType' => '\\EbaySdk\\StructType\\CategoryItemSpecificsType',
            'CategoryMappingType' => '\\EbaySdk\\StructType\\CategoryMappingType',
            'CategoryType' => '\\EbaySdk\\StructType\\CategoryType',
            'CharacteristicSetIDsType' => '\\EbaySdk\\StructType\\CharacteristicSetIDsType',
            'CharacteristicType' => '\\EbaySdk\\StructType\\CharacteristicType',
            'CharacteristicsSetProductHistogramType' => '\\EbaySdk\\StructType\\CharacteristicsSetProductHistogramType',
            'CharacteristicsSetType' => '\\EbaySdk\\StructType\\CharacteristicsSetType',
            'CharityAffiliationDetailType' => '\\EbaySdk\\StructType\\CharityAffiliationDetailType',
            'CharityAffiliationDetailsType' => '\\EbaySdk\\StructType\\CharityAffiliationDetailsType',
            'CharityAffiliationType' => '\\EbaySdk\\StructType\\CharityAffiliationType',
            'CharityAffiliationsType' => '\\EbaySdk\\StructType\\CharityAffiliationsType',
            'CharityIDType' => '\\EbaySdk\\StructType\\CharityIDType',
            'CharityInfoType' => '\\EbaySdk\\StructType\\CharityInfoType',
            'NonProfitSocialAddressType' => '\\EbaySdk\\StructType\\NonProfitSocialAddressType',
            'CharitySellerType' => '\\EbaySdk\\StructType\\CharitySellerType',
            'CharityType' => '\\EbaySdk\\StructType\\CharityType',
            'CheckoutOrderDetailType' => '\\EbaySdk\\StructType\\CheckoutOrderDetailType',
            'CheckoutStatusType' => '\\EbaySdk\\StructType\\CheckoutStatusType',
            'ClassifiedAdAutoAcceptEnabledDefinitionType' => '\\EbaySdk\\StructType\\ClassifiedAdAutoAcceptEnabledDefinitionType',
            'ClassifiedAdAutoDeclineEnabledDefinitionType' => '\\EbaySdk\\StructType\\ClassifiedAdAutoDeclineEnabledDefinitionType',
            'ClassifiedAdBestOfferEnabledDefinitionType' => '\\EbaySdk\\StructType\\ClassifiedAdBestOfferEnabledDefinitionType',
            'ClassifiedAdCompanyNameEnabledDefinitionType' => '\\EbaySdk\\StructType\\ClassifiedAdCompanyNameEnabledDefinitionType',
            'ClassifiedAdContactByAddressEnabledDefinitionType' => '\\EbaySdk\\StructType\\ClassifiedAdContactByAddressEnabledDefinitionType',
            'ClassifiedAdContactByEmailEnabledDefintionType' => '\\EbaySdk\\StructType\\ClassifiedAdContactByEmailEnabledDefintionType',
            'ClassifiedAdContactByPhoneEnabledDefinitionType' => '\\EbaySdk\\StructType\\ClassifiedAdContactByPhoneEnabledDefinitionType',
            'ClassifiedAdCounterOfferEnabledDefinitionType' => '\\EbaySdk\\StructType\\ClassifiedAdCounterOfferEnabledDefinitionType',
            'ClassifiedAdPayPerLeadEnabledDefinitionType' => '\\EbaySdk\\StructType\\ClassifiedAdPayPerLeadEnabledDefinitionType',
            'ClassifiedAdPaymentMethodEnabledDefinitionType' => '\\EbaySdk\\StructType\\ClassifiedAdPaymentMethodEnabledDefinitionType',
            'ClassifiedAdPhoneCountDefinitionType' => '\\EbaySdk\\StructType\\ClassifiedAdPhoneCountDefinitionType',
            'ClassifiedAdShippingMethodEnabledDefinitionType' => '\\EbaySdk\\StructType\\ClassifiedAdShippingMethodEnabledDefinitionType',
            'ClassifiedAdStreetCountDefinitionType' => '\\EbaySdk\\StructType\\ClassifiedAdStreetCountDefinitionType',
            'CombinedFixedPriceTreatmentEnabledDefinitionType' => '\\EbaySdk\\StructType\\CombinedFixedPriceTreatmentEnabledDefinitionType',
            'CombinedPaymentPreferencesType' => '\\EbaySdk\\StructType\\CombinedPaymentPreferencesType',
            'CompatibleVehicleTypeDefinitionType' => '\\EbaySdk\\StructType\\CompatibleVehicleTypeDefinitionType',
            'ConditionEnabledDefinitionType' => '\\EbaySdk\\StructType\\ConditionEnabledDefinitionType',
            'ConditionType' => '\\EbaySdk\\StructType\\ConditionType',
            'ConditionValuesDefinitionType' => '\\EbaySdk\\StructType\\ConditionValuesDefinitionType',
            'ConditionValuesType' => '\\EbaySdk\\StructType\\ConditionValuesType',
            'ContactHoursDetailsType' => '\\EbaySdk\\StructType\\ContactHoursDetailsType',
            'ContextSearchAssetType' => '\\EbaySdk\\StructType\\ContextSearchAssetType',
            'CountryDetailsType' => '\\EbaySdk\\StructType\\CountryDetailsType',
            'CrossBorderTradeAustraliaEnabledDefinitionType' => '\\EbaySdk\\StructType\\CrossBorderTradeAustraliaEnabledDefinitionType',
            'CrossBorderTradeGBEnabledDefinitionType' => '\\EbaySdk\\StructType\\CrossBorderTradeGBEnabledDefinitionType',
            'CrossBorderTradeNorthAmericaEnabledDefinitionType' => '\\EbaySdk\\StructType\\CrossBorderTradeNorthAmericaEnabledDefinitionType',
            'CrossPromotionPreferencesType' => '\\EbaySdk\\StructType\\CrossPromotionPreferencesType',
            'CrossPromotionsType' => '\\EbaySdk\\StructType\\CrossPromotionsType',
            'CurrencyDetailsType' => '\\EbaySdk\\StructType\\CurrencyDetailsType',
            'DataElementSetType' => '\\EbaySdk\\StructType\\DataElementSetType',
            'DateType' => '\\EbaySdk\\StructType\\DateType',
            'DeliveryDetailsType' => '\\EbaySdk\\StructType\\DeliveryDetailsType',
            'DeliveryStatusType' => '\\EbaySdk\\StructType\\DeliveryStatusType',
            'DeliveryURLDetailType' => '\\EbaySdk\\StructType\\DeliveryURLDetailType',
            'DepositSupportedDefinitionType' => '\\EbaySdk\\StructType\\DepositSupportedDefinitionType',
            'DescriptionTemplateType' => '\\EbaySdk\\StructType\\DescriptionTemplateType',
            'DigitalDeliverySelectedType' => '\\EbaySdk\\StructType\\DigitalDeliverySelectedType',
            'DigitalDeliveryUserType' => '\\EbaySdk\\StructType\\DigitalDeliveryUserType',
            'DigitalGoodDeliveryEnabledDefinitionType' => '\\EbaySdk\\StructType\\DigitalGoodDeliveryEnabledDefinitionType',
            'DigitalGoodInfoType' => '\\EbaySdk\\StructType\\DigitalGoodInfoType',
            'DiscountPriceInfoType' => '\\EbaySdk\\StructType\\DiscountPriceInfoType',
            'DiscountProfileType' => '\\EbaySdk\\StructType\\DiscountProfileType',
            'DispatchCutoffTimePreferencesType' => '\\EbaySdk\\StructType\\DispatchCutoffTimePreferencesType',
            'DispatchTimeMaxDetailsType' => '\\EbaySdk\\StructType\\DispatchTimeMaxDetailsType',
            'DisputeArrayType' => '\\EbaySdk\\ArrayType\\DisputeArrayType',
            'DisputeType' => '\\EbaySdk\\StructType\\DisputeType',
            'DistanceType' => '\\EbaySdk\\StructType\\DistanceType',
            'DomesticRefundMethodCodeType' => '\\EbaySdk\\StructType\\DomesticRefundMethodCodeType',
            'DomesticRefundMethodDefinitionType' => '\\EbaySdk\\StructType\\DomesticRefundMethodDefinitionType',
            'DomesticReturnsAcceptedCodeType' => '\\EbaySdk\\StructType\\DomesticReturnsAcceptedCodeType',
            'DomesticReturnsAcceptedDefinitionType' => '\\EbaySdk\\StructType\\DomesticReturnsAcceptedDefinitionType',
            'DomesticReturnsDurationCodeType' => '\\EbaySdk\\StructType\\DomesticReturnsDurationCodeType',
            'DomesticReturnsDurationDefinitionType' => '\\EbaySdk\\StructType\\DomesticReturnsDurationDefinitionType',
            'DomesticReturnsShipmentPayeeCodeType' => '\\EbaySdk\\StructType\\DomesticReturnsShipmentPayeeCodeType',
            'DomesticReturnsShipmentPayeeDefinitionType' => '\\EbaySdk\\StructType\\DomesticReturnsShipmentPayeeDefinitionType',
            'DutchBINEnabledDefinitionType' => '\\EbaySdk\\StructType\\DutchBINEnabledDefinitionType',
            'EANEnabledDefinitionType' => '\\EbaySdk\\StructType\\EANEnabledDefinitionType',
            'EANIdentifierEnabledDefinitionType' => '\\EbaySdk\\StructType\\EANIdentifierEnabledDefinitionType',
            'EndItemRequestContainerType' => '\\EbaySdk\\StructType\\EndItemRequestContainerType',
            'EndItemResponseContainerType' => '\\EbaySdk\\StructType\\EndItemResponseContainerType',
            'EndOfAuctionEmailPreferencesType' => '\\EbaySdk\\StructType\\EndOfAuctionEmailPreferencesType',
            'EpidSupportedDefinitionType' => '\\EbaySdk\\StructType\\EpidSupportedDefinitionType',
            'ExcludeShippingLocationDetailsType' => '\\EbaySdk\\StructType\\ExcludeShippingLocationDetailsType',
            'ExpressConditionRequiredDefinitionType' => '\\EbaySdk\\StructType\\ExpressConditionRequiredDefinitionType',
            'ExpressEnabledDefinitionType' => '\\EbaySdk\\StructType\\ExpressEnabledDefinitionType',
            'ExpressItemRequirementsType' => '\\EbaySdk\\StructType\\ExpressItemRequirementsType',
            'ExpressPicturesRequiredDefinitionType' => '\\EbaySdk\\StructType\\ExpressPicturesRequiredDefinitionType',
            'ExtendedContactDetailsType' => '\\EbaySdk\\StructType\\ExtendedContactDetailsType',
            'ExtendedPictureDetailsType' => '\\EbaySdk\\StructType\\ExtendedPictureDetailsType',
            'ExtendedProductFinderIDType' => '\\EbaySdk\\StructType\\ExtendedProductFinderIDType',
            'ExternalAlertIDArrayType' => '\\EbaySdk\\ArrayType\\ExternalAlertIDArrayType',
            'ExternalTransactionType' => '\\EbaySdk\\StructType\\ExternalTransactionType',
            'FeatureDefinitionsType' => '\\EbaySdk\\StructType\\FeatureDefinitionsType',
            'FeatureEligibilityType' => '\\EbaySdk\\StructType\\FeatureEligibilityType',
            'FeeType' => '\\EbaySdk\\StructType\\FeeType',
            'FeedbackCommentArrayType' => '\\EbaySdk\\ArrayType\\FeedbackCommentArrayType',
            'FeedbackDetailArrayType' => '\\EbaySdk\\ArrayType\\FeedbackDetailArrayType',
            'FeedbackDetailType' => '\\EbaySdk\\StructType\\FeedbackDetailType',
            'FeedbackInfoType' => '\\EbaySdk\\StructType\\FeedbackInfoType',
            'FeedbackPeriodArrayType' => '\\EbaySdk\\ArrayType\\FeedbackPeriodArrayType',
            'FeedbackPeriodType' => '\\EbaySdk\\StructType\\FeedbackPeriodType',
            'FeedbackRequirementsType' => '\\EbaySdk\\StructType\\FeedbackRequirementsType',
            'FeedbackSummaryType' => '\\EbaySdk\\StructType\\FeedbackSummaryType',
            'FeesType' => '\\EbaySdk\\StructType\\FeesType',
            'FlatRateInsuranceRangeCostType' => '\\EbaySdk\\StructType\\FlatRateInsuranceRangeCostType',
            'FlatShippingDiscountType' => '\\EbaySdk\\StructType\\FlatShippingDiscountType',
            'FlatShippingPreferencesType' => '\\EbaySdk\\StructType\\FlatShippingPreferencesType',
            'FreeGalleryPlusEnabledDefinitionType' => '\\EbaySdk\\StructType\\FreeGalleryPlusEnabledDefinitionType',
            'FreePicturePackEnabledDefinitionType' => '\\EbaySdk\\StructType\\FreePicturePackEnabledDefinitionType',
            'GetRecommendationsRequestContainerType' => '\\EbaySdk\\StructType\\GetRecommendationsRequestContainerType',
            'GetRecommendationsResponseContainerType' => '\\EbaySdk\\StructType\\GetRecommendationsResponseContainerType',
            'GiftSummaryType' => '\\EbaySdk\\StructType\\GiftSummaryType',
            'GlobalShippingEnabledDefinitionType' => '\\EbaySdk\\StructType\\GlobalShippingEnabledDefinitionType',
            'Group1MaxFlatShippingCostDefinitionType' => '\\EbaySdk\\StructType\\Group1MaxFlatShippingCostDefinitionType',
            'Group2MaxFlatShippingCostDefinitionType' => '\\EbaySdk\\StructType\\Group2MaxFlatShippingCostDefinitionType',
            'Group3MaxFlatShippingCostDefinitionType' => '\\EbaySdk\\StructType\\Group3MaxFlatShippingCostDefinitionType',
            'GroupValidationRulesType' => '\\EbaySdk\\StructType\\GroupValidationRulesType',
            'HandlingTimeEnabledDefinitionType' => '\\EbaySdk\\StructType\\HandlingTimeEnabledDefinitionType',
            'HistogramEntryType' => '\\EbaySdk\\StructType\\HistogramEntryType',
            'HomePageFeaturedEnabledDefinitionType' => '\\EbaySdk\\StructType\\HomePageFeaturedEnabledDefinitionType',
            'INEscrowWorkflowTimelineDefinitionType' => '\\EbaySdk\\StructType\\INEscrowWorkflowTimelineDefinitionType',
            'ISBNEnabledDefinitionType' => '\\EbaySdk\\StructType\\ISBNEnabledDefinitionType',
            'ISBNIdentifierEnabledDefinitionType' => '\\EbaySdk\\StructType\\ISBNIdentifierEnabledDefinitionType',
            'InsuranceDetailsType' => '\\EbaySdk\\StructType\\InsuranceDetailsType',
            'IntegratedMerchantCreditCardInfoType' => '\\EbaySdk\\StructType\\IntegratedMerchantCreditCardInfoType',
            'InternationalRefundMethodCodeType' => '\\EbaySdk\\StructType\\InternationalRefundMethodCodeType',
            'InternationalRefundMethodDefinitionType' => '\\EbaySdk\\StructType\\InternationalRefundMethodDefinitionType',
            'InternationalReturnsAcceptedCodeType' => '\\EbaySdk\\StructType\\InternationalReturnsAcceptedCodeType',
            'InternationalReturnsAcceptedDefinitionType' => '\\EbaySdk\\StructType\\InternationalReturnsAcceptedDefinitionType',
            'InternationalReturnsDurationCodeType' => '\\EbaySdk\\StructType\\InternationalReturnsDurationCodeType',
            'InternationalReturnsDurationDefinitionType' => '\\EbaySdk\\StructType\\InternationalReturnsDurationDefinitionType',
            'InternationalReturnsShipmentPayeeCodeType' => '\\EbaySdk\\StructType\\InternationalReturnsShipmentPayeeCodeType',
            'InternationalReturnsShipmentPayeeDefinitionType' => '\\EbaySdk\\StructType\\InternationalReturnsShipmentPayeeDefinitionType',
            'InternationalShippingServiceOptionsType' => '\\EbaySdk\\StructType\\InternationalShippingServiceOptionsType',
            'InventoryFeesType' => '\\EbaySdk\\StructType\\InventoryFeesType',
            'InventoryStatusType' => '\\EbaySdk\\StructType\\InventoryStatusType',
            'ItemArrayType' => '\\EbaySdk\\ArrayType\\ItemArrayType',
            'ItemBestOffersArrayType' => '\\EbaySdk\\StructType\\ItemBestOffersArrayType',
            'ItemBestOffersType' => '\\EbaySdk\\StructType\\ItemBestOffersType',
            'ItemBidDetailsType' => '\\EbaySdk\\StructType\\ItemBidDetailsType',
            'ItemCompatibilityEnabledDefinitionType' => '\\EbaySdk\\StructType\\ItemCompatibilityEnabledDefinitionType',
            'ItemCompatibilityListType' => '\\EbaySdk\\StructType\\ItemCompatibilityListType',
            'ItemCompatibilityType' => '\\EbaySdk\\StructType\\ItemCompatibilityType',
            'ItemIDArrayType' => '\\EbaySdk\\StructType\\ItemIDArrayType',
            'ItemListCustomizationType' => '\\EbaySdk\\StructType\\ItemListCustomizationType',
            'ItemPolicyViolationType' => '\\EbaySdk\\StructType\\ItemPolicyViolationType',
            'ItemRatingDetailArrayType' => '\\EbaySdk\\ArrayType\\ItemRatingDetailArrayType',
            'ItemRatingDetailsType' => '\\EbaySdk\\StructType\\ItemRatingDetailsType',
            'ItemSpecificDetailsType' => '\\EbaySdk\\StructType\\ItemSpecificDetailsType',
            'ItemSpecificsEnabledDefinitionType' => '\\EbaySdk\\StructType\\ItemSpecificsEnabledDefinitionType',
            'ItemTotalsType' => '\\EbaySdk\\StructType\\ItemTotalsType',
            'ItemTransactionIDArrayType' => '\\EbaySdk\\ArrayType\\ItemTransactionIDArrayType',
            'ItemTransactionIDType' => '\\EbaySdk\\StructType\\ItemTransactionIDType',
            'ItemType' => '\\EbaySdk\\StructType\\ItemType',
            'ItemsCanceledEventType' => '\\EbaySdk\\StructType\\ItemsCanceledEventType',
            'KTypeSupportedDefinitionType' => '\\EbaySdk\\StructType\\KTypeSupportedDefinitionType',
            'LabelType' => '\\EbaySdk\\StructType\\LabelType',
            'LineItemType' => '\\EbaySdk\\StructType\\LineItemType',
            'ListingAnalyzerRecommendationsType' => '\\EbaySdk\\StructType\\ListingAnalyzerRecommendationsType',
            'ListingCheckoutRedirectPreferenceType' => '\\EbaySdk\\StructType\\ListingCheckoutRedirectPreferenceType',
            'ListingDesignerType' => '\\EbaySdk\\StructType\\ListingDesignerType',
            'ListingDetailsType' => '\\EbaySdk\\StructType\\ListingDetailsType',
            'ListingDurationDefinitionType' => '\\EbaySdk\\StructType\\ListingDurationDefinitionType',
            'ListingDurationDefinitionsType' => '\\EbaySdk\\StructType\\ListingDurationDefinitionsType',
            'ListingDurationReferenceType' => '\\EbaySdk\\StructType\\ListingDurationReferenceType',
            'ListingEnhancementDurationDefinitionType' => '\\EbaySdk\\StructType\\ListingEnhancementDurationDefinitionType',
            'ListingEnhancementDurationReferenceType' => '\\EbaySdk\\StructType\\ListingEnhancementDurationReferenceType',
            'ListingFeatureDetailsType' => '\\EbaySdk\\StructType\\ListingFeatureDetailsType',
            'ListingRecommendationType' => '\\EbaySdk\\StructType\\ListingRecommendationType',
            'ListingRecommendationsType' => '\\EbaySdk\\StructType\\ListingRecommendationsType',
            'ListingStartPriceDetailsType' => '\\EbaySdk\\StructType\\ListingStartPriceDetailsType',
            'ListingTipArrayType' => '\\EbaySdk\\ArrayType\\ListingTipArrayType',
            'ListingTipFieldType' => '\\EbaySdk\\StructType\\ListingTipFieldType',
            'ListingTipMessageType' => '\\EbaySdk\\StructType\\ListingTipMessageType',
            'ListingTipType' => '\\EbaySdk\\StructType\\ListingTipType',
            'LocalListingDistancesNonSubscriptionDefinitionType' => '\\EbaySdk\\StructType\\LocalListingDistancesNonSubscriptionDefinitionType',
            'LocalListingDistancesRegularDefinitionType' => '\\EbaySdk\\StructType\\LocalListingDistancesRegularDefinitionType',
            'LocalListingDistancesSpecialtyDefinitionType' => '\\EbaySdk\\StructType\\LocalListingDistancesSpecialtyDefinitionType',
            'LocalMarketAdFormatEnabledDefinitionType' => '\\EbaySdk\\StructType\\LocalMarketAdFormatEnabledDefinitionType',
            'LocalMarketAutoAcceptEnabledDefinitionType' => '\\EbaySdk\\StructType\\LocalMarketAutoAcceptEnabledDefinitionType',
            'LocalMarketAutoDeclineEnabledDefinitionType' => '\\EbaySdk\\StructType\\LocalMarketAutoDeclineEnabledDefinitionType',
            'LocalMarketBestOfferEnabledDefinitionType' => '\\EbaySdk\\StructType\\LocalMarketBestOfferEnabledDefinitionType',
            'LocalMarketCompanyNameEnabledDefinitionType' => '\\EbaySdk\\StructType\\LocalMarketCompanyNameEnabledDefinitionType',
            'LocalMarketContactByAddressEnabledDefinitionType' => '\\EbaySdk\\StructType\\LocalMarketContactByAddressEnabledDefinitionType',
            'LocalMarketContactByEmailEnabledDefinitionType' => '\\EbaySdk\\StructType\\LocalMarketContactByEmailEnabledDefinitionType',
            'LocalMarketContactByPhoneEnabledDefinitionType' => '\\EbaySdk\\StructType\\LocalMarketContactByPhoneEnabledDefinitionType',
            'LocalMarketCounterOfferEnabledDefinitionType' => '\\EbaySdk\\StructType\\LocalMarketCounterOfferEnabledDefinitionType',
            'LocalMarketNonSubscriptionDefinitionType' => '\\EbaySdk\\StructType\\LocalMarketNonSubscriptionDefinitionType',
            'LocalMarketPaymentMethodCheckOutEnabledDefinitionType' => '\\EbaySdk\\StructType\\LocalMarketPaymentMethodCheckOutEnabledDefinitionType',
            'LocalMarketPhoneCountDefinitionType' => '\\EbaySdk\\StructType\\LocalMarketPhoneCountDefinitionType',
            'LocalMarketPremiumSubscriptionDefinitionType' => '\\EbaySdk\\StructType\\LocalMarketPremiumSubscriptionDefinitionType',
            'LocalMarketRegularSubscriptionDefinitionType' => '\\EbaySdk\\StructType\\LocalMarketRegularSubscriptionDefinitionType',
            'LocalMarketSellerContactDetailsEnabledDefinitionType' => '\\EbaySdk\\StructType\\LocalMarketSellerContactDetailsEnabledDefinitionType',
            'LocalMarketShippingMethodEnabledDefinitionType' => '\\EbaySdk\\StructType\\LocalMarketShippingMethodEnabledDefinitionType',
            'LocalMarketSpecialitySubscriptionDefinitionType' => '\\EbaySdk\\StructType\\LocalMarketSpecialitySubscriptionDefinitionType',
            'LocalMarketStreetCountDefinitionType' => '\\EbaySdk\\StructType\\LocalMarketStreetCountDefinitionType',
            'LocalSearchType' => '\\EbaySdk\\StructType\\LocalSearchType',
            'LookupAttributeArrayType' => '\\EbaySdk\\ArrayType\\LookupAttributeArrayType',
            'LookupAttributeType' => '\\EbaySdk\\StructType\\LookupAttributeType',
            'MarkUpMarkDownEventType' => '\\EbaySdk\\StructType\\MarkUpMarkDownEventType',
            'MarkUpMarkDownHistoryType' => '\\EbaySdk\\StructType\\MarkUpMarkDownHistoryType',
            'MaxFlatShippingCostCBTExemptDefinitionType' => '\\EbaySdk\\StructType\\MaxFlatShippingCostCBTExemptDefinitionType',
            'MaxFlatShippingCostDefinitionType' => '\\EbaySdk\\StructType\\MaxFlatShippingCostDefinitionType',
            'MaxGranularFitmentCountDefinitionType' => '\\EbaySdk\\StructType\\MaxGranularFitmentCountDefinitionType',
            'MaxItemCompatibilityDefinitionType' => '\\EbaySdk\\StructType\\MaxItemCompatibilityDefinitionType',
            'MaximumBuyerPolicyViolationsDetailsType' => '\\EbaySdk\\StructType\\MaximumBuyerPolicyViolationsDetailsType',
            'MaximumBuyerPolicyViolationsType' => '\\EbaySdk\\StructType\\MaximumBuyerPolicyViolationsType',
            'MaximumItemRequirementsDetailsType' => '\\EbaySdk\\StructType\\MaximumItemRequirementsDetailsType',
            'MaximumItemRequirementsType' => '\\EbaySdk\\StructType\\MaximumItemRequirementsType',
            'MaximumUnpaidItemStrikesCountDetailsType' => '\\EbaySdk\\StructType\\MaximumUnpaidItemStrikesCountDetailsType',
            'MaximumUnpaidItemStrikesDurationDetailsType' => '\\EbaySdk\\StructType\\MaximumUnpaidItemStrikesDurationDetailsType',
            'MaximumUnpaidItemStrikesInfoDetailsType' => '\\EbaySdk\\StructType\\MaximumUnpaidItemStrikesInfoDetailsType',
            'MaximumUnpaidItemStrikesInfoType' => '\\EbaySdk\\StructType\\MaximumUnpaidItemStrikesInfoType',
            'MemberMessageExchangeArrayType' => '\\EbaySdk\\ArrayType\\MemberMessageExchangeArrayType',
            'MemberMessageExchangeType' => '\\EbaySdk\\StructType\\MemberMessageExchangeType',
            'MemberMessageType' => '\\EbaySdk\\StructType\\MemberMessageType',
            'MembershipDetailType' => '\\EbaySdk\\StructType\\MembershipDetailType',
            'MembershipDetailsType' => '\\EbaySdk\\StructType\\MembershipDetailsType',
            'MessageMediaType' => '\\EbaySdk\\StructType\\MessageMediaType',
            'MetadataType' => '\\EbaySdk\\StructType\\MetadataType',
            'MinItemCompatibilityDefinitionType' => '\\EbaySdk\\StructType\\MinItemCompatibilityDefinitionType',
            'MinimumFeedbackScoreDetailsType' => '\\EbaySdk\\StructType\\MinimumFeedbackScoreDetailsType',
            'MinimumReservePriceDefinitionType' => '\\EbaySdk\\StructType\\MinimumReservePriceDefinitionType',
            'ModifyNameArrayType' => '\\EbaySdk\\ArrayType\\ModifyNameArrayType',
            'ModifyNameType' => '\\EbaySdk\\StructType\\ModifyNameType',
            'MotorsLocalMarketEnabledDefinitionType' => '\\EbaySdk\\StructType\\MotorsLocalMarketEnabledDefinitionType',
            'MultiLegShipmentType' => '\\EbaySdk\\StructType\\MultiLegShipmentType',
            'MultiLegShippingDetailsType' => '\\EbaySdk\\StructType\\MultiLegShippingDetailsType',
            'MultiLegShippingServiceType' => '\\EbaySdk\\StructType\\MultiLegShippingServiceType',
            'MyMessagesAlertArrayType' => '\\EbaySdk\\ArrayType\\MyMessagesAlertArrayType',
            'MyMessagesAlertIDArrayType' => '\\EbaySdk\\ArrayType\\MyMessagesAlertIDArrayType',
            'MyMessagesAlertType' => '\\EbaySdk\\StructType\\MyMessagesAlertType',
            'MyMessagesExternalMessageIDArrayType' => '\\EbaySdk\\ArrayType\\MyMessagesExternalMessageIDArrayType',
            'MyMessagesFolderSummaryType' => '\\EbaySdk\\StructType\\MyMessagesFolderSummaryType',
            'MyMessagesFolderType' => '\\EbaySdk\\StructType\\MyMessagesFolderType',
            'MyMessagesForwardDetailsType' => '\\EbaySdk\\StructType\\MyMessagesForwardDetailsType',
            'MyMessagesMessageArrayType' => '\\EbaySdk\\ArrayType\\MyMessagesMessageArrayType',
            'MyMessagesMessageIDArrayType' => '\\EbaySdk\\ArrayType\\MyMessagesMessageIDArrayType',
            'MyMessagesMessageType' => '\\EbaySdk\\StructType\\MyMessagesMessageType',
            'MyMessagesResponseDetailsType' => '\\EbaySdk\\StructType\\MyMessagesResponseDetailsType',
            'MyMessagesSummaryType' => '\\EbaySdk\\StructType\\MyMessagesSummaryType',
            'MyeBayFavoriteSearchListType' => '\\EbaySdk\\StructType\\MyeBayFavoriteSearchListType',
            'MyeBayFavoriteSearchType' => '\\EbaySdk\\StructType\\MyeBayFavoriteSearchType',
            'MyeBayFavoriteSellerListType' => '\\EbaySdk\\StructType\\MyeBayFavoriteSellerListType',
            'MyeBayFavoriteSellerType' => '\\EbaySdk\\StructType\\MyeBayFavoriteSellerType',
            'MyeBaySecondChanceOfferListType' => '\\EbaySdk\\StructType\\MyeBaySecondChanceOfferListType',
            'MyeBaySelectionType' => '\\EbaySdk\\StructType\\MyeBaySelectionType',
            'MyeBaySellingSummaryType' => '\\EbaySdk\\StructType\\MyeBaySellingSummaryType',
            'NameRecommendationType' => '\\EbaySdk\\StructType\\NameRecommendationType',
            'NameValueListArrayType' => '\\EbaySdk\\ArrayType\\NameValueListArrayType',
            'NameValueListType' => '\\EbaySdk\\StructType\\NameValueListType',
            'NameValueRelationshipType' => '\\EbaySdk\\StructType\\NameValueRelationshipType',
            'NonProfitAddressType' => '\\EbaySdk\\StructType\\NonProfitAddressType',
            'NonSubscriptionDefinitionType' => '\\EbaySdk\\StructType\\NonSubscriptionDefinitionType',
            'NotificationDetailsArrayType' => '\\EbaySdk\\ArrayType\\NotificationDetailsArrayType',
            'NotificationDetailsType' => '\\EbaySdk\\StructType\\NotificationDetailsType',
            'NotificationEnableArrayType' => '\\EbaySdk\\ArrayType\\NotificationEnableArrayType',
            'NotificationEnableType' => '\\EbaySdk\\StructType\\NotificationEnableType',
            'NotificationEventPropertyType' => '\\EbaySdk\\StructType\\NotificationEventPropertyType',
            'NotificationMessageType' => '\\EbaySdk\\StructType\\NotificationMessageType',
            'NotificationStatisticsType' => '\\EbaySdk\\StructType\\NotificationStatisticsType',
            'NotificationUserDataType' => '\\EbaySdk\\StructType\\NotificationUserDataType',
            'NumberOfPolicyViolationsDetailsType' => '\\EbaySdk\\StructType\\NumberOfPolicyViolationsDetailsType',
            'OfferArrayType' => '\\EbaySdk\\ArrayType\\OfferArrayType',
            'OfferDiscountsType' => '\\EbaySdk\\StructType\\OfferDiscountsType',
            'OfferType' => '\\EbaySdk\\StructType\\OfferType',
            'OrderArrayType' => '\\EbaySdk\\ArrayType\\OrderArrayType',
            'OrderIDArrayType' => '\\EbaySdk\\ArrayType\\OrderIDArrayType',
            'OrderTransactionArrayType' => '\\EbaySdk\\ArrayType\\OrderTransactionArrayType',
            'OrderTransactionType' => '\\EbaySdk\\StructType\\OrderTransactionType',
            'OrderType' => '\\EbaySdk\\StructType\\OrderType',
            'PaginatedItemArrayType' => '\\EbaySdk\\StructType\\PaginatedItemArrayType',
            'PaginatedOrderTransactionArrayType' => '\\EbaySdk\\StructType\\PaginatedOrderTransactionArrayType',
            'PaginatedTransactionArrayType' => '\\EbaySdk\\StructType\\PaginatedTransactionArrayType',
            'PaginationResultType' => '\\EbaySdk\\StructType\\PaginationResultType',
            'PaisaPayFullEscrowEnabledDefinitionType' => '\\EbaySdk\\StructType\\PaisaPayFullEscrowEnabledDefinitionType',
            'PayPalBuyerProtectionEnabledDefinitionType' => '\\EbaySdk\\StructType\\PayPalBuyerProtectionEnabledDefinitionType',
            'PayPalRequiredDefinitionType' => '\\EbaySdk\\StructType\\PayPalRequiredDefinitionType',
            'PayPalRequiredForStoreOwnerDefinitionType' => '\\EbaySdk\\StructType\\PayPalRequiredForStoreOwnerDefinitionType',
            'PaymentDetailsType' => '\\EbaySdk\\StructType\\PaymentDetailsType',
            'PaymentHoldDetailType' => '\\EbaySdk\\StructType\\PaymentHoldDetailType',
            'PaymentInformationCodeType' => '\\EbaySdk\\StructType\\PaymentInformationCodeType',
            'PaymentInformationType' => '\\EbaySdk\\StructType\\PaymentInformationType',
            'PaymentMethodDefinitionType' => '\\EbaySdk\\StructType\\PaymentMethodDefinitionType',
            'PaymentOptionDetailsType' => '\\EbaySdk\\StructType\\PaymentOptionDetailsType',
            'PaymentOptionsGroupEnabledDefinitionType' => '\\EbaySdk\\StructType\\PaymentOptionsGroupEnabledDefinitionType',
            'PaymentTransactionCodeType' => '\\EbaySdk\\StructType\\PaymentTransactionCodeType',
            'PaymentTransactionType' => '\\EbaySdk\\StructType\\PaymentTransactionType',
            'PaymentsInformationCodeType' => '\\EbaySdk\\StructType\\PaymentsInformationCodeType',
            'PaymentsInformationType' => '\\EbaySdk\\StructType\\PaymentsInformationType',
            'PerformanceDashboardType' => '\\EbaySdk\\StructType\\PerformanceDashboardType',
            'PickupDetailsType' => '\\EbaySdk\\StructType\\PickupDetailsType',
            'PickupDropOffEnabledDefinitionType' => '\\EbaySdk\\StructType\\PickupDropOffEnabledDefinitionType',
            'PickupInStoreDetailsType' => '\\EbaySdk\\StructType\\PickupInStoreDetailsType',
            'PickupMethodSelectedType' => '\\EbaySdk\\StructType\\PickupMethodSelectedType',
            'PickupOptionsType' => '\\EbaySdk\\StructType\\PickupOptionsType',
            'PictureDetailsType' => '\\EbaySdk\\StructType\\PictureDetailsType',
            'PictureManagerDetailsType' => '\\EbaySdk\\StructType\\PictureManagerDetailsType',
            'PictureManagerFolderType' => '\\EbaySdk\\StructType\\PictureManagerFolderType',
            'PictureManagerPictureDisplayType' => '\\EbaySdk\\StructType\\PictureManagerPictureDisplayType',
            'PictureManagerPictureType' => '\\EbaySdk\\StructType\\PictureManagerPictureType',
            'PictureManagerSubscriptionType' => '\\EbaySdk\\StructType\\PictureManagerSubscriptionType',
            'PictureSetMemberType' => '\\EbaySdk\\StructType\\PictureSetMemberType',
            'PictureURLsType' => '\\EbaySdk\\StructType\\PictureURLsType',
            'PicturesType' => '\\EbaySdk\\StructType\\PicturesType',
            'PolicyComplianceDashboardType' => '\\EbaySdk\\StructType\\PolicyComplianceDashboardType',
            'PolicyViolationDurationDetailsType' => '\\EbaySdk\\StructType\\PolicyViolationDurationDetailsType',
            'PowerSellerDashboardType' => '\\EbaySdk\\StructType\\PowerSellerDashboardType',
            'PremiumSubscriptionDefinitionType' => '\\EbaySdk\\StructType\\PremiumSubscriptionDefinitionType',
            'PricingRecommendationsType' => '\\EbaySdk\\StructType\\PricingRecommendationsType',
            'ProPackEnabledDefinitionType' => '\\EbaySdk\\StructType\\ProPackEnabledDefinitionType',
            'ProPackPlusEnabledDefinitionType' => '\\EbaySdk\\StructType\\ProPackPlusEnabledDefinitionType',
            'ProStoresCheckoutPreferenceType' => '\\EbaySdk\\StructType\\ProStoresCheckoutPreferenceType',
            'ProStoresDetailsType' => '\\EbaySdk\\StructType\\ProStoresDetailsType',
            'ProductCreationEnabledDefinitionType' => '\\EbaySdk\\StructType\\ProductCreationEnabledDefinitionType',
            'ProductDetailsType' => '\\EbaySdk\\StructType\\ProductDetailsType',
            'ProductFamilyType' => '\\EbaySdk\\StructType\\ProductFamilyType',
            'ProductFinderConstraintType' => '\\EbaySdk\\StructType\\ProductFinderConstraintType',
            'ProductIdentifiersType' => '\\EbaySdk\\StructType\\ProductIdentifiersType',
            'ProductInfoType' => '\\EbaySdk\\StructType\\ProductInfoType',
            'ProductListingDetailsType' => '\\EbaySdk\\StructType\\ProductListingDetailsType',
            'ProductRecommendationsType' => '\\EbaySdk\\StructType\\ProductRecommendationsType',
            'ProductRequiredEnabledDefinitionType' => '\\EbaySdk\\StructType\\ProductRequiredEnabledDefinitionType',
            'ProductSearchPageType' => '\\EbaySdk\\StructType\\ProductSearchPageType',
            'ProductSearchResultType' => '\\EbaySdk\\StructType\\ProductSearchResultType',
            'ProductSearchType' => '\\EbaySdk\\StructType\\ProductSearchType',
            'ProductSuggestionType' => '\\EbaySdk\\StructType\\ProductSuggestionType',
            'ProductSuggestionsType' => '\\EbaySdk\\StructType\\ProductSuggestionsType',
            'ProductType' => '\\EbaySdk\\StructType\\ProductType',
            'ProfileCategoryGroupDefinitionType' => '\\EbaySdk\\StructType\\ProfileCategoryGroupDefinitionType',
            'PromotedItemType' => '\\EbaySdk\\StructType\\PromotedItemType',
            'PromotionDetailsType' => '\\EbaySdk\\StructType\\PromotionDetailsType',
            'PromotionRuleArrayType' => '\\EbaySdk\\ArrayType\\PromotionRuleArrayType',
            'PromotionRuleType' => '\\EbaySdk\\StructType\\PromotionRuleType',
            'PromotionalSaleArrayType' => '\\EbaySdk\\ArrayType\\PromotionalSaleArrayType',
            'PromotionalSaleDetailsType' => '\\EbaySdk\\StructType\\PromotionalSaleDetailsType',
            'PromotionalSaleType' => '\\EbaySdk\\StructType\\PromotionalSaleType',
            'PromotionalShippingDiscountDetailsType' => '\\EbaySdk\\StructType\\PromotionalShippingDiscountDetailsType',
            'PurchaseReminderEmailPreferencesType' => '\\EbaySdk\\StructType\\PurchaseReminderEmailPreferencesType',
            'QuantityInfoType' => '\\EbaySdk\\StructType\\QuantityInfoType',
            'QuantityRestrictionPerBuyerInfoType' => '\\EbaySdk\\StructType\\QuantityRestrictionPerBuyerInfoType',
            'RateTableDetailsType' => '\\EbaySdk\\StructType\\RateTableDetailsType',
            'ReasonCodeDetailType' => '\\EbaySdk\\StructType\\ReasonCodeDetailType',
            'RecommendationType' => '\\EbaySdk\\StructType\\RecommendationType',
            'RecommendationValidationRulesType' => '\\EbaySdk\\StructType\\RecommendationValidationRulesType',
            'RecommendationsType' => '\\EbaySdk\\StructType\\RecommendationsType',
            'RecoupmentPolicyConsentType' => '\\EbaySdk\\StructType\\RecoupmentPolicyConsentType',
            'RefundArrayType' => '\\EbaySdk\\ArrayType\\RefundArrayType',
            'RefundDetailsType' => '\\EbaySdk\\StructType\\RefundDetailsType',
            'RefundFailureReasonType' => '\\EbaySdk\\StructType\\RefundFailureReasonType',
            'RefundFundingSourceArrayType' => '\\EbaySdk\\StructType\\RefundFundingSourceArrayType',
            'RefundFundingSourceType' => '\\EbaySdk\\StructType\\RefundFundingSourceType',
            'RefundInformationType' => '\\EbaySdk\\StructType\\RefundInformationType',
            'RefundLineArrayType' => '\\EbaySdk\\StructType\\RefundLineArrayType',
            'RefundLineType' => '\\EbaySdk\\StructType\\RefundLineType',
            'RefundTransactionArrayType' => '\\EbaySdk\\StructType\\RefundTransactionArrayType',
            'RefundTransactionInfoType' => '\\EbaySdk\\StructType\\RefundTransactionInfoType',
            'RefundTransactionType' => '\\EbaySdk\\StructType\\RefundTransactionType',
            'RefundType' => '\\EbaySdk\\StructType\\RefundType',
            'RegionDetailsType' => '\\EbaySdk\\StructType\\RegionDetailsType',
            'RegionOfOriginDetailsType' => '\\EbaySdk\\StructType\\RegionOfOriginDetailsType',
            'RegularSubscriptionDefinitionType' => '\\EbaySdk\\StructType\\RegularSubscriptionDefinitionType',
            'ReminderCustomizationType' => '\\EbaySdk\\StructType\\ReminderCustomizationType',
            'RemindersType' => '\\EbaySdk\\StructType\\RemindersType',
            'RequiredSellerActionArrayType' => '\\EbaySdk\\ArrayType\\RequiredSellerActionArrayType',
            'ResponseAttributeSetType' => '\\EbaySdk\\StructType\\ResponseAttributeSetType',
            'RestockingFeeValueDetailsType' => '\\EbaySdk\\StructType\\RestockingFeeValueDetailsType',
            'ReturnPolicyDescriptionEnabledDefinitionType' => '\\EbaySdk\\StructType\\ReturnPolicyDescriptionEnabledDefinitionType',
            'ReturnPolicyDetailsType' => '\\EbaySdk\\StructType\\ReturnPolicyDetailsType',
            'ReturnPolicyEnabledDefinitionType' => '\\EbaySdk\\StructType\\ReturnPolicyEnabledDefinitionType',
            'ReturnPolicyType' => '\\EbaySdk\\StructType\\ReturnPolicyType',
            'ReturnsAcceptedDetailsType' => '\\EbaySdk\\StructType\\ReturnsAcceptedDetailsType',
            'ReturnsWithinDetailsType' => '\\EbaySdk\\StructType\\ReturnsWithinDetailsType',
            'ReviewDetailsType' => '\\EbaySdk\\StructType\\ReviewDetailsType',
            'ReviewType' => '\\EbaySdk\\StructType\\ReviewType',
            'RevisePriceAllowedDefinitionType' => '\\EbaySdk\\StructType\\RevisePriceAllowedDefinitionType',
            'ReviseQuantityAllowedDefinitionType' => '\\EbaySdk\\StructType\\ReviseQuantityAllowedDefinitionType',
            'ReviseStatusType' => '\\EbaySdk\\StructType\\ReviseStatusType',
            'SIFFTASRecommendationsType' => '\\EbaySdk\\StructType\\SIFFTASRecommendationsType',
            'SKUArrayType' => '\\EbaySdk\\ArrayType\\SKUArrayType',
            'SMSSubscriptionType' => '\\EbaySdk\\StructType\\SMSSubscriptionType',
            'SafePaymentRequiredDefinitionType' => '\\EbaySdk\\StructType\\SafePaymentRequiredDefinitionType',
            'SalesTaxType' => '\\EbaySdk\\StructType\\SalesTaxType',
            'ScheduleType' => '\\EbaySdk\\StructType\\ScheduleType',
            'SchedulingInfoType' => '\\EbaySdk\\StructType\\SchedulingInfoType',
            'SearchAttributesType' => '\\EbaySdk\\StructType\\SearchAttributesType',
            'SearchDetailsType' => '\\EbaySdk\\StructType\\SearchDetailsType',
            'SearchStandingDashboardType' => '\\EbaySdk\\StructType\\SearchStandingDashboardType',
            'SellerAccountDashboardType' => '\\EbaySdk\\StructType\\SellerAccountDashboardType',
            'SellerContactDetailsEnabledDefinitionType' => '\\EbaySdk\\StructType\\SellerContactDetailsEnabledDefinitionType',
            'SellerDashboardAlertType' => '\\EbaySdk\\StructType\\SellerDashboardAlertType',
            'SellerDiscountsType' => '\\EbaySdk\\StructType\\SellerDiscountsType',
            'SellerDiscountType' => '\\EbaySdk\\StructType\\SellerDiscountType',
            'SellerExcludeShipToLocationPreferencesType' => '\\EbaySdk\\StructType\\SellerExcludeShipToLocationPreferencesType',
            'SellerFavoriteItemPreferencesType' => '\\EbaySdk\\StructType\\SellerFavoriteItemPreferencesType',
            'SellerFeeDiscountDashboardType' => '\\EbaySdk\\StructType\\SellerFeeDiscountDashboardType',
            'SellerPaymentPreferencesType' => '\\EbaySdk\\StructType\\SellerPaymentPreferencesType',
            'SellerPaymentProfileType' => '\\EbaySdk\\StructType\\SellerPaymentProfileType',
            'SellerPaymentType' => '\\EbaySdk\\StructType\\SellerPaymentType',
            'SellerProfilePreferencesType' => '\\EbaySdk\\StructType\\SellerProfilePreferencesType',
            'SellerProfilesType' => '\\EbaySdk\\StructType\\SellerProfilesType',
            'SellerProvidedTitleSupportedDefinitionType' => '\\EbaySdk\\StructType\\SellerProvidedTitleSupportedDefinitionType',
            'SellerRatingSummaryArrayType' => '\\EbaySdk\\ArrayType\\SellerRatingSummaryArrayType',
            'RecoupmentPolicyDetailsType' => '\\EbaySdk\\StructType\\RecoupmentPolicyDetailsType',
            'SellerReturnPreferencesType' => '\\EbaySdk\\StructType\\SellerReturnPreferencesType',
            'SellerReturnProfileType' => '\\EbaySdk\\StructType\\SellerReturnProfileType',
            'SellerRoleMetricsType' => '\\EbaySdk\\StructType\\SellerRoleMetricsType',
            'SellerShippingProfileType' => '\\EbaySdk\\StructType\\SellerShippingProfileType',
            'SellerType' => '\\EbaySdk\\StructType\\SellerType',
            'SellereBayPaymentProcessConsentCodeType' => '\\EbaySdk\\StructType\\SellereBayPaymentProcessConsentCodeType',
            'SellingManagerAlertType' => '\\EbaySdk\\StructType\\SellingManagerAlertType',
            'SellingManagerAutoListAccordingToScheduleType' => '\\EbaySdk\\StructType\\SellingManagerAutoListAccordingToScheduleType',
            'SellingManagerAutoListMinActiveItemsType' => '\\EbaySdk\\StructType\\SellingManagerAutoListMinActiveItemsType',
            'SellingManagerAutoListType' => '\\EbaySdk\\StructType\\SellingManagerAutoListType',
            'SellingManagerAutoRelistType' => '\\EbaySdk\\StructType\\SellingManagerAutoRelistType',
            'SellingManagerAutoSecondChanceOfferType' => '\\EbaySdk\\StructType\\SellingManagerAutoSecondChanceOfferType',
            'SellingManagerEmailLogType' => '\\EbaySdk\\StructType\\SellingManagerEmailLogType',
            'SellingManagerFolderDetailsType' => '\\EbaySdk\\StructType\\SellingManagerFolderDetailsType',
            'SellingManagerOrderStatusType' => '\\EbaySdk\\StructType\\SellingManagerOrderStatusType',
            'SellingManagerProductDetailsType' => '\\EbaySdk\\StructType\\SellingManagerProductDetailsType',
            'SellingManagerProductInventoryStatusType' => '\\EbaySdk\\StructType\\SellingManagerProductInventoryStatusType',
            'SellingManagerProductSpecificsType' => '\\EbaySdk\\StructType\\SellingManagerProductSpecificsType',
            'SellingManagerProductType' => '\\EbaySdk\\StructType\\SellingManagerProductType',
            'SellingManagerSearchType' => '\\EbaySdk\\StructType\\SellingManagerSearchType',
            'SellingManagerSoldOrderType' => '\\EbaySdk\\StructType\\SellingManagerSoldOrderType',
            'SellingManagerSoldTransactionType' => '\\EbaySdk\\StructType\\SellingManagerSoldTransactionType',
            'SellingManagerTemplateDetailsArrayType' => '\\EbaySdk\\ArrayType\\SellingManagerTemplateDetailsArrayType',
            'SellingManagerTemplateDetailsType' => '\\EbaySdk\\StructType\\SellingManagerTemplateDetailsType',
            'SellingManagerVendorDetailsType' => '\\EbaySdk\\StructType\\SellingManagerVendorDetailsType',
            'SellingStatusType' => '\\EbaySdk\\StructType\\SellingStatusType',
            'SellingSummaryType' => '\\EbaySdk\\StructType\\SellingSummaryType',
            'ShipPackageDetailsType' => '\\EbaySdk\\StructType\\ShipPackageDetailsType',
            'ShipmentLineItemType' => '\\EbaySdk\\StructType\\ShipmentLineItemType',
            'ShipmentTrackingDetailsType' => '\\EbaySdk\\StructType\\ShipmentTrackingDetailsType',
            'ShipmentType' => '\\EbaySdk\\StructType\\ShipmentType',
            'ShippingCarrierDetailsType' => '\\EbaySdk\\StructType\\ShippingCarrierDetailsType',
            'ShippingCategoryDetailsType' => '\\EbaySdk\\StructType\\ShippingCategoryDetailsType',
            'ShippingCostPaidByDetailsType' => '\\EbaySdk\\StructType\\ShippingCostPaidByDetailsType',
            'ShippingDetailsType' => '\\EbaySdk\\StructType\\ShippingDetailsType',
            'ShippingEstimatedDeliveryInfoType' => '\\EbaySdk\\StructType\\ShippingEstimatedDeliveryInfoType',
            'ShippingInsuranceType' => '\\EbaySdk\\StructType\\ShippingInsuranceType',
            'ShippingLocationDetailsType' => '\\EbaySdk\\StructType\\ShippingLocationDetailsType',
            'ShippingOverrideType' => '\\EbaySdk\\StructType\\ShippingOverrideType',
            'ShippingPackageDetailsType' => '\\EbaySdk\\StructType\\ShippingPackageDetailsType',
            'ShippingPackageInfoType' => '\\EbaySdk\\StructType\\ShippingPackageInfoType',
            'ShippingServiceCostOverrideListType' => '\\EbaySdk\\StructType\\ShippingServiceCostOverrideListType',
            'ShippingServiceCostOverrideType' => '\\EbaySdk\\StructType\\ShippingServiceCostOverrideType',
            'ShippingServiceDetailsType' => '\\EbaySdk\\StructType\\ShippingServiceDetailsType',
            'ShippingServiceOptionsType' => '\\EbaySdk\\StructType\\ShippingServiceOptionsType',
            'ShippingServicePackageDetailsType' => '\\EbaySdk\\StructType\\ShippingServicePackageDetailsType',
            'ShippingTermRequiredDefinitionType' => '\\EbaySdk\\StructType\\ShippingTermRequiredDefinitionType',
            'SiteBuyerRequirementDetailsType' => '\\EbaySdk\\StructType\\SiteBuyerRequirementDetailsType',
            'SiteDefaultsType' => '\\EbaySdk\\StructType\\SiteDefaultsType',
            'SiteDetailsType' => '\\EbaySdk\\StructType\\SiteDetailsType',
            'SiteHostedPictureDetailsType' => '\\EbaySdk\\StructType\\SiteHostedPictureDetailsType',
            'SiteLocationType' => '\\EbaySdk\\StructType\\SiteLocationType',
            'SiteWideCharacteristicsType' => '\\EbaySdk\\StructType\\SiteWideCharacteristicsType',
            'SkypeMeNonTransactionalEnabledDefinitionType' => '\\EbaySdk\\StructType\\SkypeMeNonTransactionalEnabledDefinitionType',
            'SkypeMeTransactionalEnabledDefinitionType' => '\\EbaySdk\\StructType\\SkypeMeTransactionalEnabledDefinitionType',
            'SpecialitySubscriptionDefinitionType' => '\\EbaySdk\\StructType\\SpecialitySubscriptionDefinitionType',
            'StoreColorSchemeArrayType' => '\\EbaySdk\\ArrayType\\StoreColorSchemeArrayType',
            'StoreColorSchemeType' => '\\EbaySdk\\StructType\\StoreColorSchemeType',
            'StoreColorType' => '\\EbaySdk\\StructType\\StoreColorType',
            'StoreCustomCategoryArrayType' => '\\EbaySdk\\ArrayType\\StoreCustomCategoryArrayType',
            'StoreCustomCategoryType' => '\\EbaySdk\\StructType\\StoreCustomCategoryType',
            'StoreCustomListingHeaderLinkType' => '\\EbaySdk\\StructType\\StoreCustomListingHeaderLinkType',
            'StoreCustomListingHeaderType' => '\\EbaySdk\\StructType\\StoreCustomListingHeaderType',
            'StoreCustomPageArrayType' => '\\EbaySdk\\ArrayType\\StoreCustomPageArrayType',
            'StoreCustomPageType' => '\\EbaySdk\\StructType\\StoreCustomPageType',
            'StoreFontType' => '\\EbaySdk\\StructType\\StoreFontType',
            'StoreInventoryEnabledDefinitionType' => '\\EbaySdk\\StructType\\StoreInventoryEnabledDefinitionType',
            'StoreLogoArrayType' => '\\EbaySdk\\ArrayType\\StoreLogoArrayType',
            'StoreLogoType' => '\\EbaySdk\\StructType\\StoreLogoType',
            'StoreOwnerExtendedListingDurationsDefinitionType' => '\\EbaySdk\\StructType\\StoreOwnerExtendedListingDurationsDefinitionType',
            'StoreOwnerExtendedListingDurationsEnabledDefinitionType' => '\\EbaySdk\\StructType\\StoreOwnerExtendedListingDurationsEnabledDefinitionType',
            'StoreOwnerExtendedListingDurationsType' => '\\EbaySdk\\StructType\\StoreOwnerExtendedListingDurationsType',
            'StorePreferencesType' => '\\EbaySdk\\StructType\\StorePreferencesType',
            'StoreSubscriptionArrayType' => '\\EbaySdk\\ArrayType\\StoreSubscriptionArrayType',
            'StoreSubscriptionType' => '\\EbaySdk\\StructType\\StoreSubscriptionType',
            'StoreThemeArrayType' => '\\EbaySdk\\StructType\\StoreThemeArrayType',
            'StoreThemeType' => '\\EbaySdk\\StructType\\StoreThemeType',
            'StoreType' => '\\EbaySdk\\StructType\\StoreType',
            'StoreVacationPreferencesType' => '\\EbaySdk\\StructType\\StoreVacationPreferencesType',
            'StorefrontType' => '\\EbaySdk\\StructType\\StorefrontType',
            'SubscriptionType' => '\\EbaySdk\\StructType\\SubscriptionType',
            'SuggestedBidValueType' => '\\EbaySdk\\StructType\\SuggestedBidValueType',
            'SuggestedCategoryArrayType' => '\\EbaySdk\\StructType\\SuggestedCategoryArrayType',
            'SuggestedCategoryType' => '\\EbaySdk\\StructType\\SuggestedCategoryType',
            'SummaryEventScheduleType' => '\\EbaySdk\\StructType\\SummaryEventScheduleType',
            'SupportedEventTypesArrayType' => '\\EbaySdk\\ArrayType\\SupportedEventTypesArrayType',
            'SupportedSellerProfileType' => '\\EbaySdk\\StructType\\SupportedSellerProfileType',
            'SupportedSellerProfilesType' => '\\EbaySdk\\StructType\\SupportedSellerProfilesType',
            'TCREnabledDefinitionType' => '\\EbaySdk\\StructType\\TCREnabledDefinitionType',
            'TaxDetailsType' => '\\EbaySdk\\StructType\\TaxDetailsType',
            'TaxIdentifierAttributeType' => '\\EbaySdk\\StructType\\TaxIdentifierAttributeType',
            'TaxIdentifierType' => '\\EbaySdk\\StructType\\TaxIdentifierType',
            'TaxJurisdictionType' => '\\EbaySdk\\StructType\\TaxJurisdictionType',
            'TaxTableType' => '\\EbaySdk\\StructType\\TaxTableType',
            'TaxesType' => '\\EbaySdk\\StructType\\TaxesType',
            'ThemeGroupType' => '\\EbaySdk\\StructType\\ThemeGroupType',
            'TicketListingDetailsType' => '\\EbaySdk\\StructType\\TicketListingDetailsType',
            'TimeRangeType' => '\\EbaySdk\\StructType\\TimeRangeType',
            'TimeZoneDetailsType' => '\\EbaySdk\\StructType\\TimeZoneDetailsType',
            'TokenStatusType' => '\\EbaySdk\\StructType\\TokenStatusType',
            'TopRatedSellerDetailsType' => '\\EbaySdk\\StructType\\TopRatedSellerDetailsType',
            'TransactionArrayType' => '\\EbaySdk\\ArrayType\\TransactionArrayType',
            'TransactionReferenceType' => '\\EbaySdk\\StructType\\TransactionReferenceType',
            'TransactionStatusType' => '\\EbaySdk\\StructType\\TransactionStatusType',
            'TransactionType' => '\\EbaySdk\\StructType\\TransactionType',
            'UPCEnabledDefinitionType' => '\\EbaySdk\\StructType\\UPCEnabledDefinitionType',
            'UPCIdentifierEnabledDefinitionType' => '\\EbaySdk\\StructType\\UPCIdentifierEnabledDefinitionType',
            'URLDetailsType' => '\\EbaySdk\\StructType\\URLDetailsType',
            'UnitInfoType' => '\\EbaySdk\\StructType\\UnitInfoType',
            'UnitOfMeasurementDetailsType' => '\\EbaySdk\\StructType\\UnitOfMeasurementDetailsType',
            'UnitOfMeasurementType' => '\\EbaySdk\\StructType\\UnitOfMeasurementType',
            'UnpaidItemAssistancePreferencesType' => '\\EbaySdk\\StructType\\UnpaidItemAssistancePreferencesType',
            'UnpaidItemType' => '\\EbaySdk\\StructType\\UnpaidItemType',
            'UserAgreementInfoType' => '\\EbaySdk\\StructType\\UserAgreementInfoType',
            'UserConsentRequiredDefinitionType' => '\\EbaySdk\\StructType\\UserConsentRequiredDefinitionType',
            'UserDefinedListType' => '\\EbaySdk\\StructType\\UserDefinedListType',
            'UserIDArrayType' => '\\EbaySdk\\StructType\\UserIDArrayType',
            'UserIdentityType' => '\\EbaySdk\\StructType\\UserIdentityType',
            'UserType' => '\\EbaySdk\\StructType\\UserType',
            'VATDetailsType' => '\\EbaySdk\\StructType\\VATDetailsType',
            'VATRateType' => '\\EbaySdk\\StructType\\VATRateType',
            'VINSupportedDefinitionType' => '\\EbaySdk\\StructType\\VINSupportedDefinitionType',
            'VRMSupportedDefinitionType' => '\\EbaySdk\\StructType\\VRMSupportedDefinitionType',
            'ValType' => '\\EbaySdk\\StructType\\ValType',
            'ValueCategoryDefinitionType' => '\\EbaySdk\\StructType\\ValueCategoryDefinitionType',
            'ValuePackEnabledDefinitionType' => '\\EbaySdk\\StructType\\ValuePackEnabledDefinitionType',
            'ValueRecommendationType' => '\\EbaySdk\\StructType\\ValueRecommendationType',
            'VariationDetailsType' => '\\EbaySdk\\StructType\\VariationDetailsType',
            'VariationKeyType' => '\\EbaySdk\\StructType\\VariationKeyType',
            'VariationProductListingDetailsType' => '\\EbaySdk\\StructType\\VariationProductListingDetailsType',
            'VariationSpecificPictureSetType' => '\\EbaySdk\\StructType\\VariationSpecificPictureSetType',
            'VariationType' => '\\EbaySdk\\StructType\\VariationType',
            'VariationsEnabledDefinitionType' => '\\EbaySdk\\StructType\\VariationsEnabledDefinitionType',
            'VariationsType' => '\\EbaySdk\\StructType\\VariationsType',
            'VeROReasonCodeDetailsType' => '\\EbaySdk\\StructType\\VeROReasonCodeDetailsType',
            'VeROReportItemType' => '\\EbaySdk\\StructType\\VeROReportItemType',
            'VeROReportItemsType' => '\\EbaySdk\\StructType\\VeROReportItemsType',
            'VeROReportedItemDetailsType' => '\\EbaySdk\\StructType\\VeROReportedItemDetailsType',
            'VeROReportedItemType' => '\\EbaySdk\\StructType\\VeROReportedItemType',
            'VeROSiteDetailType' => '\\EbaySdk\\StructType\\VeROSiteDetailType',
            'VerifiedUserRequirementsDetailsType' => '\\EbaySdk\\StructType\\VerifiedUserRequirementsDetailsType',
            'VerifiedUserRequirementsType' => '\\EbaySdk\\StructType\\VerifiedUserRequirementsType',
            'WantItNowPostArrayType' => '\\EbaySdk\\ArrayType\\WantItNowPostArrayType',
            'WantItNowPostType' => '\\EbaySdk\\StructType\\WantItNowPostType',
            'WarrantyDurationDetailsType' => '\\EbaySdk\\StructType\\WarrantyDurationDetailsType',
            'WarrantyOfferedDetailsType' => '\\EbaySdk\\StructType\\WarrantyOfferedDetailsType',
            'WarrantyTypeDetailsType' => '\\EbaySdk\\StructType\\WarrantyTypeDetailsType',
            'XSLFileType' => '\\EbaySdk\\StructType\\XSLFileType',
            'eBayMotorsProAdFormatEnabledDefinitionType' => '\\EbaySdk\\StructType\\EBayMotorsProAdFormatEnabledDefinitionType',
            'eBayMotorsProAutoAcceptEnabledDefinitionType' => '\\EbaySdk\\StructType\\EBayMotorsProAutoAcceptEnabledDefinitionType',
            'eBayMotorsProAutoDeclineEnabledDefinitionType' => '\\EbaySdk\\StructType\\EBayMotorsProAutoDeclineEnabledDefinitionType',
            'eBayMotorsProBestOfferEnabledDefinitionType' => '\\EbaySdk\\StructType\\EBayMotorsProBestOfferEnabledDefinitionType',
            'eBayMotorsProCompanyNameEnabledDefinitionType' => '\\EbaySdk\\StructType\\EBayMotorsProCompanyNameEnabledDefinitionType',
            'eBayMotorsProContactByAddressEnabledDefinitionType' => '\\EbaySdk\\StructType\\EBayMotorsProContactByAddressEnabledDefinitionType',
            'eBayMotorsProContactByEmailEnabledDefinitionType' => '\\EbaySdk\\StructType\\EBayMotorsProContactByEmailEnabledDefinitionType',
            'eBayMotorsProContactByPhoneEnabledDefinitionType' => '\\EbaySdk\\StructType\\EBayMotorsProContactByPhoneEnabledDefinitionType',
            'eBayMotorsProCounterOfferEnabledDefinitionType' => '\\EbaySdk\\StructType\\EBayMotorsProCounterOfferEnabledDefinitionType',
            'eBayMotorsProPaymentMethodCheckOutEnabledDefinitionType' => '\\EbaySdk\\StructType\\EBayMotorsProPaymentMethodCheckOutEnabledDefinitionType',
            'eBayMotorsProPhoneCountDefinitionType' => '\\EbaySdk\\StructType\\EBayMotorsProPhoneCountDefinitionType',
            'eBayMotorsProSellerContactDetailsEnabledDefinitionType' => '\\EbaySdk\\StructType\\EBayMotorsProSellerContactDetailsEnabledDefinitionType',
            'eBayMotorsProShippingMethodEnabledDefinitionType' => '\\EbaySdk\\StructType\\EBayMotorsProShippingMethodEnabledDefinitionType',
            'eBayMotorsProStreetCountDefinitionType' => '\\EbaySdk\\StructType\\EBayMotorsProStreetCountDefinitionType',
            'eBayPLUSPreferenceType' => '\\EbaySdk\\StructType\\EBayPLUSPreferenceType',
            'eBayPaymentMismatchDetailsType' => '\\EbaySdk\\StructType\\EBayPaymentMismatchDetailsType',
        );
    }
}
